package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.OrgDeptWFVerService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.OrgDeptWFVer;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class OrgDeptWFVerController {
	@Autowired
    OrgDeptWFVerService orgdeptwfverservice;


	@RequestMapping(method = RequestMethod.GET, value = "/orgdeptwfvers/getdraft")
    @PreAuthorize("@orgdeptwfver_pms.check('CREATE')")
    public ResponseEntity<OrgDeptWFVer> getDraft() {
        //OrgDeptWFVer orgdeptwfver = orgdeptwfverservice.getDraft( orgdeptwfver_id);
        return ResponseEntity.status(HttpStatus.OK).body(new OrgDeptWFVer());
    }

	@RequestMapping(method = RequestMethod.POST, value = "/orgdeptwfvers/{orgdeptwfver_id}/save")
    @PreAuthorize("@orgdeptwfver_pms.check(#orgdeptwfver_id,'')")
    public ResponseEntity<OrgDeptWFVer> save(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id, @RequestBody OrgDeptWFVer orgdeptwfver) {
        OrgDeptWFVer orgdeptwfver2 = orgdeptwfverservice.save(orgdeptwfver_id, orgdeptwfver);
        return ResponseEntity.status(HttpStatus.OK).body(orgdeptwfver2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/orgdeptwfvers/{orgdeptwfver_id}")
    @PreAuthorize("@orgdeptwfver_pms.check(#orgdeptwfver_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id) {
        boolean b = orgdeptwfverservice.remove( orgdeptwfver_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/orgdeptwfvers")
    @PreAuthorize("@orgdeptwfver_pms.check('CREATE')")
    public ResponseEntity<OrgDeptWFVer> create(@RequestBody OrgDeptWFVer orgdeptwfver) {
        OrgDeptWFVer orgdeptwfver2 = orgdeptwfverservice.create(orgdeptwfver);
        return ResponseEntity.status(HttpStatus.OK).body(orgdeptwfver2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/orgdeptwfvers/{orgdeptwfver_id}")
    @PreAuthorize("@orgdeptwfver_pms.check(#orgdeptwfver_id,'UPDATE')")
    public ResponseEntity<OrgDeptWFVer> update(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id, @RequestBody OrgDeptWFVer orgdeptwfver) {
        OrgDeptWFVer orgdeptwfver2 = orgdeptwfverservice.update(orgdeptwfver_id, orgdeptwfver);
        return ResponseEntity.status(HttpStatus.OK).body(orgdeptwfver2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/orgdeptwfvers/{orgdeptwfver_id}")
    @PreAuthorize("@orgdeptwfver_pms.check(#orgdeptwfver_id,'UPDATE')")
    public ResponseEntity<OrgDeptWFVer> api_update(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id, @RequestBody OrgDeptWFVer orgdeptwfver) {
        OrgDeptWFVer orgdeptwfver2 = orgdeptwfverservice.update(orgdeptwfver_id, orgdeptwfver);
        return ResponseEntity.status(HttpStatus.OK).body(orgdeptwfver2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/orgdeptwfvers/checkkey")
    @PreAuthorize("@orgdeptwfver_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody OrgDeptWFVer orgdeptwfver) {
        boolean b = orgdeptwfverservice.checkKey(orgdeptwfver);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/orgdeptwfvers/{orgdeptwfver_id}")
    @PreAuthorize("@orgdeptwfver_pms.check(#orgdeptwfver_id,'READ')")
    public ResponseEntity<OrgDeptWFVer> get(@PathVariable("orgdeptwfver_id") String orgdeptwfver_id) {
        OrgDeptWFVer orgdeptwfver = orgdeptwfverservice.get( orgdeptwfver_id);
        return ResponseEntity.status(HttpStatus.OK).body(orgdeptwfver);
    }

    @RequestMapping(method= RequestMethod.GET , value="/orgdeptwfvers/fetchdefault")
    @PreAuthorize("@orgdeptwfver_pms.check('READ')")
	public ResponseEntity<List<OrgDeptWFVer>> fetchDefault(OrgDeptWFVerSearchContext searchContext,Pageable pageable) {
        
        Page<OrgDeptWFVer> page = orgdeptwfverservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/orgdeptwfvers/fetchcurorgdept")
    @PreAuthorize("@orgdeptwfver_pms.check('READ')")
	public ResponseEntity<List<OrgDeptWFVer>> fetchCurOrgDept(OrgDeptWFVerSearchContext searchContext,Pageable pageable) {
        
        Page<OrgDeptWFVer> page = orgdeptwfverservice.fetchCurOrgDept(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
