package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSDataEntityService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSDataEntity;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSDataEntityController {
	@Autowired
    PSDataEntityService psdataentityservice;


	@RequestMapping(method = RequestMethod.GET, value = "/psdataentities/getdraft")
    @PreAuthorize("@psdataentity_pms.check('CREATE')")
    public ResponseEntity<PSDataEntity> getDraft() {
        //PSDataEntity psdataentity = psdataentityservice.getDraft( psdataentity_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSDataEntity());
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/psdataentities/{psdataentity_id}")
    @PreAuthorize("@psdataentity_pms.check(#psdataentity_id,'UPDATE')")
    public ResponseEntity<PSDataEntity> update(@PathVariable("psdataentity_id") String psdataentity_id, @RequestBody PSDataEntity psdataentity) {
        PSDataEntity psdataentity2 = psdataentityservice.update(psdataentity_id, psdataentity);
        return ResponseEntity.status(HttpStatus.OK).body(psdataentity2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/psdataentities/{psdataentity_id}")
    @PreAuthorize("@psdataentity_pms.check(#psdataentity_id,'UPDATE')")
    public ResponseEntity<PSDataEntity> api_update(@PathVariable("psdataentity_id") String psdataentity_id, @RequestBody PSDataEntity psdataentity) {
        PSDataEntity psdataentity2 = psdataentityservice.update(psdataentity_id, psdataentity);
        return ResponseEntity.status(HttpStatus.OK).body(psdataentity2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/psdataentities/{psdataentity_id}")
    @PreAuthorize("@psdataentity_pms.check(#psdataentity_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("psdataentity_id") String psdataentity_id) {
        boolean b = psdataentityservice.remove( psdataentity_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/psdataentities")
    @PreAuthorize("@psdataentity_pms.check('CREATE')")
    public ResponseEntity<PSDataEntity> create(@RequestBody PSDataEntity psdataentity) {
        PSDataEntity psdataentity2 = psdataentityservice.create(psdataentity);
        return ResponseEntity.status(HttpStatus.OK).body(psdataentity2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/psdataentities/{psdataentity_id}/save")
    @PreAuthorize("@psdataentity_pms.check(#psdataentity_id,'')")
    public ResponseEntity<PSDataEntity> save(@PathVariable("psdataentity_id") String psdataentity_id, @RequestBody PSDataEntity psdataentity) {
        PSDataEntity psdataentity2 = psdataentityservice.save(psdataentity_id, psdataentity);
        return ResponseEntity.status(HttpStatus.OK).body(psdataentity2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/psdataentities/{psdataentity_id}")
    @PreAuthorize("@psdataentity_pms.check(#psdataentity_id,'READ')")
    public ResponseEntity<PSDataEntity> get(@PathVariable("psdataentity_id") String psdataentity_id) {
        PSDataEntity psdataentity = psdataentityservice.get( psdataentity_id);
        return ResponseEntity.status(HttpStatus.OK).body(psdataentity);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/psdataentities/checkkey")
    @PreAuthorize("@psdataentity_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSDataEntity psdataentity) {
        boolean b = psdataentityservice.checkKey(psdataentity);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

    @RequestMapping(method= RequestMethod.GET , value="/psdataentities/fetchdefault")
    @PreAuthorize("@psdataentity_pms.check('READ')")
	public ResponseEntity<List<PSDataEntity>> fetchDefault(PSDataEntitySearchContext searchContext,Pageable pageable) {
        
        Page<PSDataEntity> page = psdataentityservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
