package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSSysAppService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSSysApp;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSSysAppController {
	@Autowired
    PSSysAppService pssysappservice;


	@RequestMapping(method = RequestMethod.GET, value = "/pssysapps/{pssysapp_id}")
    @PreAuthorize("@pssysapp_pms.check(#pssysapp_id,'READ')")
    public ResponseEntity<PSSysApp> get(@PathVariable("pssysapp_id") String pssysapp_id) {
        PSSysApp pssysapp = pssysappservice.get( pssysapp_id);
        return ResponseEntity.status(HttpStatus.OK).body(pssysapp);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssysapps/{pssysapp_id}/save")
    @PreAuthorize("@pssysapp_pms.check(#pssysapp_id,'')")
    public ResponseEntity<PSSysApp> save(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) {
        PSSysApp pssysapp2 = pssysappservice.save(pssysapp_id, pssysapp);
        return ResponseEntity.status(HttpStatus.OK).body(pssysapp2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssysapps")
    @PreAuthorize("@pssysapp_pms.check('CREATE')")
    public ResponseEntity<PSSysApp> create(@RequestBody PSSysApp pssysapp) {
        PSSysApp pssysapp2 = pssysappservice.create(pssysapp);
        return ResponseEntity.status(HttpStatus.OK).body(pssysapp2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pssysapps/getdraft")
    @PreAuthorize("@pssysapp_pms.check('CREATE')")
    public ResponseEntity<PSSysApp> getDraft() {
        //PSSysApp pssysapp = pssysappservice.getDraft( pssysapp_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSSysApp());
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pssysapps/{pssysapp_id}")
    @PreAuthorize("@pssysapp_pms.check(#pssysapp_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pssysapp_id") String pssysapp_id) {
        boolean b = pssysappservice.remove( pssysapp_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssysapps/checkkey")
    @PreAuthorize("@pssysapp_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSSysApp pssysapp) {
        boolean b = pssysappservice.checkKey(pssysapp);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pssysapps/{pssysapp_id}")
    @PreAuthorize("@pssysapp_pms.check(#pssysapp_id,'UPDATE')")
    public ResponseEntity<PSSysApp> update(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) {
        PSSysApp pssysapp2 = pssysappservice.update(pssysapp_id, pssysapp);
        return ResponseEntity.status(HttpStatus.OK).body(pssysapp2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pssysapps/{pssysapp_id}")
    @PreAuthorize("@pssysapp_pms.check(#pssysapp_id,'UPDATE')")
    public ResponseEntity<PSSysApp> api_update(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) {
        PSSysApp pssysapp2 = pssysappservice.update(pssysapp_id, pssysapp);
        return ResponseEntity.status(HttpStatus.OK).body(pssysapp2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pssysapps/fetchdefault")
    @PreAuthorize("@pssysapp_pms.check('READ')")
	public ResponseEntity<List<PSSysApp>> fetchDefault(PSSysAppSearchContext searchContext,Pageable pageable) {
        
        Page<PSSysApp> page = pssysappservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<PSSysApp> regist(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) {
        return null;
    }


}
