package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSSysWFCatService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSSysWFCat;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSSysWFCatController {
	@Autowired
    PSSysWFCatService pssyswfcatservice;


	@RequestMapping(method = RequestMethod.GET, value = "/pssyswfcats/{pssyswfcat_id}")
    @PreAuthorize("@pssyswfcat_pms.check(#pssyswfcat_id,'READ')")
    public ResponseEntity<PSSysWFCat> get(@PathVariable("pssyswfcat_id") String pssyswfcat_id) {
        PSSysWFCat pssyswfcat = pssyswfcatservice.get( pssyswfcat_id);
        return ResponseEntity.status(HttpStatus.OK).body(pssyswfcat);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssyswfcats/checkkey")
    @PreAuthorize("@pssyswfcat_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSSysWFCat pssyswfcat) {
        boolean b = pssyswfcatservice.checkKey(pssyswfcat);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pssyswfcats/{pssyswfcat_id}")
    @PreAuthorize("@pssyswfcat_pms.check(#pssyswfcat_id,'UPDATE')")
    public ResponseEntity<PSSysWFCat> update(@PathVariable("pssyswfcat_id") String pssyswfcat_id, @RequestBody PSSysWFCat pssyswfcat) {
        PSSysWFCat pssyswfcat2 = pssyswfcatservice.update(pssyswfcat_id, pssyswfcat);
        return ResponseEntity.status(HttpStatus.OK).body(pssyswfcat2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pssyswfcats/{pssyswfcat_id}")
    @PreAuthorize("@pssyswfcat_pms.check(#pssyswfcat_id,'UPDATE')")
    public ResponseEntity<PSSysWFCat> api_update(@PathVariable("pssyswfcat_id") String pssyswfcat_id, @RequestBody PSSysWFCat pssyswfcat) {
        PSSysWFCat pssyswfcat2 = pssyswfcatservice.update(pssyswfcat_id, pssyswfcat);
        return ResponseEntity.status(HttpStatus.OK).body(pssyswfcat2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssyswfcats/{pssyswfcat_id}/save")
    @PreAuthorize("@pssyswfcat_pms.check(#pssyswfcat_id,'')")
    public ResponseEntity<PSSysWFCat> save(@PathVariable("pssyswfcat_id") String pssyswfcat_id, @RequestBody PSSysWFCat pssyswfcat) {
        PSSysWFCat pssyswfcat2 = pssyswfcatservice.save(pssyswfcat_id, pssyswfcat);
        return ResponseEntity.status(HttpStatus.OK).body(pssyswfcat2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssyswfcats")
    @PreAuthorize("@pssyswfcat_pms.check('CREATE')")
    public ResponseEntity<PSSysWFCat> create(@RequestBody PSSysWFCat pssyswfcat) {
        PSSysWFCat pssyswfcat2 = pssyswfcatservice.create(pssyswfcat);
        return ResponseEntity.status(HttpStatus.OK).body(pssyswfcat2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pssyswfcats/getdraft")
    @PreAuthorize("@pssyswfcat_pms.check('CREATE')")
    public ResponseEntity<PSSysWFCat> getDraft() {
        //PSSysWFCat pssyswfcat = pssyswfcatservice.getDraft( pssyswfcat_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSSysWFCat());
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pssyswfcats/{pssyswfcat_id}")
    @PreAuthorize("@pssyswfcat_pms.check(#pssyswfcat_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pssyswfcat_id") String pssyswfcat_id) {
        boolean b = pssyswfcatservice.remove( pssyswfcat_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pssyswfcats/fetchdefault")
    @PreAuthorize("@pssyswfcat_pms.check('READ')")
	public ResponseEntity<List<PSSysWFCat>> fetchDefault(PSSysWFCatSearchContext searchContext,Pageable pageable) {
        
        Page<PSSysWFCat> page = pssyswfcatservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
