package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSSystemService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSSystem;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSSystemController {
	@Autowired
    PSSystemService pssystemservice;


	@RequestMapping(method = RequestMethod.DELETE, value = "/pssystems/{pssystem_id}")
    @PreAuthorize("@pssystem_pms.check(#pssystem_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pssystem_id") String pssystem_id) {
        boolean b = pssystemservice.remove( pssystem_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssystems/{pssystem_id}/save")
    @PreAuthorize("@pssystem_pms.check(#pssystem_id,'')")
    public ResponseEntity<PSSystem> save(@PathVariable("pssystem_id") String pssystem_id, @RequestBody PSSystem pssystem) {
        PSSystem pssystem2 = pssystemservice.save(pssystem_id, pssystem);
        return ResponseEntity.status(HttpStatus.OK).body(pssystem2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pssystems/{pssystem_id}")
    @PreAuthorize("@pssystem_pms.check(#pssystem_id,'READ')")
    public ResponseEntity<PSSystem> get(@PathVariable("pssystem_id") String pssystem_id) {
        PSSystem pssystem = pssystemservice.get( pssystem_id);
        return ResponseEntity.status(HttpStatus.OK).body(pssystem);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssystems")
    @PreAuthorize("@pssystem_pms.check('CREATE')")
    public ResponseEntity<PSSystem> create(@RequestBody PSSystem pssystem) {
        PSSystem pssystem2 = pssystemservice.create(pssystem);
        return ResponseEntity.status(HttpStatus.OK).body(pssystem2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pssystems/{pssystem_id}")
    @PreAuthorize("@pssystem_pms.check(#pssystem_id,'UPDATE')")
    public ResponseEntity<PSSystem> update(@PathVariable("pssystem_id") String pssystem_id, @RequestBody PSSystem pssystem) {
        PSSystem pssystem2 = pssystemservice.update(pssystem_id, pssystem);
        return ResponseEntity.status(HttpStatus.OK).body(pssystem2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pssystems/{pssystem_id}")
    @PreAuthorize("@pssystem_pms.check(#pssystem_id,'UPDATE')")
    public ResponseEntity<PSSystem> api_update(@PathVariable("pssystem_id") String pssystem_id, @RequestBody PSSystem pssystem) {
        PSSystem pssystem2 = pssystemservice.update(pssystem_id, pssystem);
        return ResponseEntity.status(HttpStatus.OK).body(pssystem2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pssystems/checkkey")
    @PreAuthorize("@pssystem_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSSystem pssystem) {
        boolean b = pssystemservice.checkKey(pssystem);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pssystems/getdraft")
    @PreAuthorize("@pssystem_pms.check('CREATE')")
    public ResponseEntity<PSSystem> getDraft() {
        //PSSystem pssystem = pssystemservice.getDraft( pssystem_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSSystem());
    }

    @RequestMapping(method= RequestMethod.GET , value="/pssystems/fetchdefault")
    @PreAuthorize("@pssystem_pms.check('READ')")
	public ResponseEntity<List<PSSystem>> fetchDefault(PSSystemSearchContext searchContext,Pageable pageable) {
        
        Page<PSSystem> page = pssystemservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
