package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSWFLinkService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFLink;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWFLinkController {
	@Autowired
    PSWFLinkService pswflinkservice;


	@RequestMapping(method = RequestMethod.POST, value = "/pswflinks/checkkey")
    @PreAuthorize("@pswflink_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWFLink pswflink) {
        boolean b = pswflinkservice.checkKey(pswflink);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswflinks/{pswflink_id}")
    @PreAuthorize("@pswflink_pms.check(#pswflink_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pswflink_id") String pswflink_id) {
        boolean b = pswflinkservice.remove( pswflink_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswflinks/{pswflink_id}")
    @PreAuthorize("@pswflink_pms.check(#pswflink_id,'READ')")
    public ResponseEntity<PSWFLink> get(@PathVariable("pswflink_id") String pswflink_id) {
        PSWFLink pswflink = pswflinkservice.get( pswflink_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswflink);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswflinks/{pswflink_id}/save")
    @PreAuthorize("@pswflink_pms.check(#pswflink_id,'')")
    public ResponseEntity<PSWFLink> save(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) {
        PSWFLink pswflink2 = pswflinkservice.save(pswflink_id, pswflink);
        return ResponseEntity.status(HttpStatus.OK).body(pswflink2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswflinks")
    @PreAuthorize("@pswflink_pms.check('CREATE')")
    public ResponseEntity<PSWFLink> create(@RequestBody PSWFLink pswflink) {
        PSWFLink pswflink2 = pswflinkservice.create(pswflink);
        return ResponseEntity.status(HttpStatus.OK).body(pswflink2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswflinks/getdraft")
    @PreAuthorize("@pswflink_pms.check('CREATE')")
    public ResponseEntity<PSWFLink> getDraft() {
        //PSWFLink pswflink = pswflinkservice.getDraft( pswflink_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFLink());
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswflinks/{pswflink_id}")
    @PreAuthorize("@pswflink_pms.check(#pswflink_id,'UPDATE')")
    public ResponseEntity<PSWFLink> update(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) {
        PSWFLink pswflink2 = pswflinkservice.update(pswflink_id, pswflink);
        return ResponseEntity.status(HttpStatus.OK).body(pswflink2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pswflinks/{pswflink_id}")
    @PreAuthorize("@pswflink_pms.check(#pswflink_id,'UPDATE')")
    public ResponseEntity<PSWFLink> api_update(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) {
        PSWFLink pswflink2 = pswflinkservice.update(pswflink_id, pswflink);
        return ResponseEntity.status(HttpStatus.OK).body(pswflink2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswflinks/fetchdefault")
    @PreAuthorize("@pswflink_pms.check('READ')")
	public ResponseEntity<List<PSWFLink>> fetchDefault(PSWFLinkSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFLink> page = pswflinkservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<PSWFLink> regist(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) {
        return null;
    }


}
