package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSWFPROCSUBWFService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFPROCSUBWF;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWFPROCSUBWFController {
	@Autowired
    PSWFPROCSUBWFService pswfprocsubwfservice;


	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocsubwfs")
    @PreAuthorize("@pswfprocsubwf_pms.check('CREATE')")
    public ResponseEntity<PSWFPROCSUBWF> create(@RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        PSWFPROCSUBWF pswfprocsubwf2 = pswfprocsubwfservice.create(pswfprocsubwf);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocsubwf2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswfprocsubwfs/{pswfprocsubwf_id}")
    @PreAuthorize("@pswfprocsubwf_pms.check(#pswfprocsubwf_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id) {
        boolean b = pswfprocsubwfservice.remove( pswfprocsubwf_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocsubwfs/{pswfprocsubwf_id}/save")
    @PreAuthorize("@pswfprocsubwf_pms.check(#pswfprocsubwf_id,'')")
    public ResponseEntity<PSWFPROCSUBWF> save(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        PSWFPROCSUBWF pswfprocsubwf2 = pswfprocsubwfservice.save(pswfprocsubwf_id, pswfprocsubwf);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocsubwf2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfprocsubwfs/getdraft")
    @PreAuthorize("@pswfprocsubwf_pms.check('CREATE')")
    public ResponseEntity<PSWFPROCSUBWF> getDraft() {
        //PSWFPROCSUBWF pswfprocsubwf = pswfprocsubwfservice.getDraft( pswfprocsubwf_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFPROCSUBWF());
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswfprocsubwfs/{pswfprocsubwf_id}")
    @PreAuthorize("@pswfprocsubwf_pms.check(#pswfprocsubwf_id,'UPDATE')")
    public ResponseEntity<PSWFPROCSUBWF> update(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        PSWFPROCSUBWF pswfprocsubwf2 = pswfprocsubwfservice.update(pswfprocsubwf_id, pswfprocsubwf);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocsubwf2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pswfprocsubwfs/{pswfprocsubwf_id}")
    @PreAuthorize("@pswfprocsubwf_pms.check(#pswfprocsubwf_id,'UPDATE')")
    public ResponseEntity<PSWFPROCSUBWF> api_update(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        PSWFPROCSUBWF pswfprocsubwf2 = pswfprocsubwfservice.update(pswfprocsubwf_id, pswfprocsubwf);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocsubwf2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfprocsubwfs/{pswfprocsubwf_id}")
    @PreAuthorize("@pswfprocsubwf_pms.check(#pswfprocsubwf_id,'READ')")
    public ResponseEntity<PSWFPROCSUBWF> get(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id) {
        PSWFPROCSUBWF pswfprocsubwf = pswfprocsubwfservice.get( pswfprocsubwf_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocsubwf);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocsubwfs/checkkey")
    @PreAuthorize("@pswfprocsubwf_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        boolean b = pswfprocsubwfservice.checkKey(pswfprocsubwf);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfprocsubwfs/fetchdefault")
    @PreAuthorize("@pswfprocsubwf_pms.check('READ')")
	public ResponseEntity<List<PSWFPROCSUBWF>> fetchDefault(PSWFPROCSUBWFSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFPROCSUBWF> page = pswfprocsubwfservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<PSWFPROCSUBWF> clearByProc(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        return null;
    }


    public ResponseEntity<PSWFPROCSUBWF> regist(@PathVariable("pswfprocsubwf_id") String pswfprocsubwf_id, @RequestBody PSWFPROCSUBWF pswfprocsubwf) {
        return null;
    }


}
