package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSWFProcRoleService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFProcRole;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWFProcRoleController {
	@Autowired
    PSWFProcRoleService pswfprocroleservice;


	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocroles")
    @PreAuthorize("@pswfprocrole_pms.check('CREATE')")
    public ResponseEntity<PSWFProcRole> create(@RequestBody PSWFProcRole pswfprocrole) {
        PSWFProcRole pswfprocrole2 = pswfprocroleservice.create(pswfprocrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocrole2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfprocroles/getdraft")
    @PreAuthorize("@pswfprocrole_pms.check('CREATE')")
    public ResponseEntity<PSWFProcRole> getDraft() {
        //PSWFProcRole pswfprocrole = pswfprocroleservice.getDraft( pswfprocrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFProcRole());
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswfprocroles/{pswfprocrole_id}")
    @PreAuthorize("@pswfprocrole_pms.check(#pswfprocrole_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pswfprocrole_id") String pswfprocrole_id) {
        boolean b = pswfprocroleservice.remove( pswfprocrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocroles/checkkey")
    @PreAuthorize("@pswfprocrole_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWFProcRole pswfprocrole) {
        boolean b = pswfprocroleservice.checkKey(pswfprocrole);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfprocroles/{pswfprocrole_id}")
    @PreAuthorize("@pswfprocrole_pms.check(#pswfprocrole_id,'READ')")
    public ResponseEntity<PSWFProcRole> get(@PathVariable("pswfprocrole_id") String pswfprocrole_id) {
        PSWFProcRole pswfprocrole = pswfprocroleservice.get( pswfprocrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocrole);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocroles/{pswfprocrole_id}/save")
    @PreAuthorize("@pswfprocrole_pms.check(#pswfprocrole_id,'')")
    public ResponseEntity<PSWFProcRole> save(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) {
        PSWFProcRole pswfprocrole2 = pswfprocroleservice.save(pswfprocrole_id, pswfprocrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocrole2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswfprocroles/{pswfprocrole_id}")
    @PreAuthorize("@pswfprocrole_pms.check(#pswfprocrole_id,'UPDATE')")
    public ResponseEntity<PSWFProcRole> update(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) {
        PSWFProcRole pswfprocrole2 = pswfprocroleservice.update(pswfprocrole_id, pswfprocrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocrole2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pswfprocroles/{pswfprocrole_id}")
    @PreAuthorize("@pswfprocrole_pms.check(#pswfprocrole_id,'UPDATE')")
    public ResponseEntity<PSWFProcRole> api_update(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) {
        PSWFProcRole pswfprocrole2 = pswfprocroleservice.update(pswfprocrole_id, pswfprocrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocrole2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfprocroles/fetchdefault")
    @PreAuthorize("@pswfprocrole_pms.check('READ')")
	public ResponseEntity<List<PSWFProcRole>> fetchDefault(PSWFProcRoleSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFProcRole> page = pswfprocroleservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<PSWFProcRole> clearByProc(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) {
        return null;
    }


    public ResponseEntity<PSWFProcRole> regist(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) {
        return null;
    }


}
