package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSWFProcessService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFProcess;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWFProcessController {
	@Autowired
    PSWFProcessService pswfprocessservice;


	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocesses/checkkey")
    @PreAuthorize("@pswfprocess_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWFProcess pswfprocess) {
        boolean b = pswfprocessservice.checkKey(pswfprocess);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswfprocesses/{pswfprocess_id}")
    @PreAuthorize("@pswfprocess_pms.check(#pswfprocess_id,'UPDATE')")
    public ResponseEntity<PSWFProcess> update(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) {
        PSWFProcess pswfprocess2 = pswfprocessservice.update(pswfprocess_id, pswfprocess);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocess2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pswfprocesses/{pswfprocess_id}")
    @PreAuthorize("@pswfprocess_pms.check(#pswfprocess_id,'UPDATE')")
    public ResponseEntity<PSWFProcess> api_update(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) {
        PSWFProcess pswfprocess2 = pswfprocessservice.update(pswfprocess_id, pswfprocess);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocess2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocesses/{pswfprocess_id}/save")
    @PreAuthorize("@pswfprocess_pms.check(#pswfprocess_id,'')")
    public ResponseEntity<PSWFProcess> save(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) {
        PSWFProcess pswfprocess2 = pswfprocessservice.save(pswfprocess_id, pswfprocess);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocess2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswfprocesses/{pswfprocess_id}")
    @PreAuthorize("@pswfprocess_pms.check(#pswfprocess_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pswfprocess_id") String pswfprocess_id) {
        boolean b = pswfprocessservice.remove( pswfprocess_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfprocesses/getdraft")
    @PreAuthorize("@pswfprocess_pms.check('CREATE')")
    public ResponseEntity<PSWFProcess> getDraft() {
        //PSWFProcess pswfprocess = pswfprocessservice.getDraft( pswfprocess_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFProcess());
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfprocesses/{pswfprocess_id}")
    @PreAuthorize("@pswfprocess_pms.check(#pswfprocess_id,'READ')")
    public ResponseEntity<PSWFProcess> get(@PathVariable("pswfprocess_id") String pswfprocess_id) {
        PSWFProcess pswfprocess = pswfprocessservice.get( pswfprocess_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocess);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfprocesses")
    @PreAuthorize("@pswfprocess_pms.check('CREATE')")
    public ResponseEntity<PSWFProcess> create(@RequestBody PSWFProcess pswfprocess) {
        PSWFProcess pswfprocess2 = pswfprocessservice.create(pswfprocess);
        return ResponseEntity.status(HttpStatus.OK).body(pswfprocess2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfprocesses/fetchdefault")
    @PreAuthorize("@pswfprocess_pms.check('READ')")
	public ResponseEntity<List<PSWFProcess>> fetchDefault(PSWFProcessSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFProcess> page = pswfprocessservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<PSWFProcess> regist(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) {
        return null;
    }


}
