package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.PSWorkflowService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWorkflow;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWorkflowController {
	@Autowired
    PSWorkflowService psworkflowservice;


	@RequestMapping(method = RequestMethod.POST, value = "/psworkflows/{psworkflow_id}/save")
    @PreAuthorize("@psworkflow_pms.check(#psworkflow_id,'')")
    public ResponseEntity<PSWorkflow> save(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWorkflow psworkflow) {
        PSWorkflow psworkflow2 = psworkflowservice.save(psworkflow_id, psworkflow);
        return ResponseEntity.status(HttpStatus.OK).body(psworkflow2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/psworkflows/{psworkflow_id}")
    @PreAuthorize("@psworkflow_pms.check(#psworkflow_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("psworkflow_id") String psworkflow_id) {
        boolean b = psworkflowservice.remove( psworkflow_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/psworkflows/{psworkflow_id}")
    @PreAuthorize("@psworkflow_pms.check(#psworkflow_id,'UPDATE')")
    public ResponseEntity<PSWorkflow> update(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWorkflow psworkflow) {
        PSWorkflow psworkflow2 = psworkflowservice.update(psworkflow_id, psworkflow);
        return ResponseEntity.status(HttpStatus.OK).body(psworkflow2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/psworkflows/{psworkflow_id}")
    @PreAuthorize("@psworkflow_pms.check(#psworkflow_id,'UPDATE')")
    public ResponseEntity<PSWorkflow> api_update(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWorkflow psworkflow) {
        PSWorkflow psworkflow2 = psworkflowservice.update(psworkflow_id, psworkflow);
        return ResponseEntity.status(HttpStatus.OK).body(psworkflow2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/psworkflows/checkkey")
    @PreAuthorize("@psworkflow_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWorkflow psworkflow) {
        boolean b = psworkflowservice.checkKey(psworkflow);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/psworkflows")
    @PreAuthorize("@psworkflow_pms.check('CREATE')")
    public ResponseEntity<PSWorkflow> create(@RequestBody PSWorkflow psworkflow) {
        PSWorkflow psworkflow2 = psworkflowservice.create(psworkflow);
        return ResponseEntity.status(HttpStatus.OK).body(psworkflow2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/psworkflows/getdraft")
    @PreAuthorize("@psworkflow_pms.check('CREATE')")
    public ResponseEntity<PSWorkflow> getDraft() {
        //PSWorkflow psworkflow = psworkflowservice.getDraft( psworkflow_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWorkflow());
    }

	@RequestMapping(method = RequestMethod.GET, value = "/psworkflows/{psworkflow_id}")
    @PreAuthorize("@psworkflow_pms.check(#psworkflow_id,'READ')")
    public ResponseEntity<PSWorkflow> get(@PathVariable("psworkflow_id") String psworkflow_id) {
        PSWorkflow psworkflow = psworkflowservice.get( psworkflow_id);
        return ResponseEntity.status(HttpStatus.OK).body(psworkflow);
    }

    @RequestMapping(method= RequestMethod.GET , value="/psworkflows/fetchcurorg")
    @PreAuthorize("@psworkflow_pms.check('READ')")
	public ResponseEntity<List<PSWorkflow>> fetchCurOrg(PSWorkflowSearchContext searchContext,Pageable pageable) {
        
        Page<PSWorkflow> page = psworkflowservice.fetchCurOrg(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/psworkflows/fetchcurorgdept")
    @PreAuthorize("@psworkflow_pms.check('READ')")
	public ResponseEntity<List<PSWorkflow>> fetchCurOrgDept(PSWorkflowSearchContext searchContext,Pageable pageable) {
        
        Page<PSWorkflow> page = psworkflowservice.fetchCurOrgDept(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/psworkflows/fetchdefault")
    @PreAuthorize("@psworkflow_pms.check('READ')")
	public ResponseEntity<List<PSWorkflow>> fetchDefault(PSWorkflowSearchContext searchContext,Pageable pageable) {
        
        Page<PSWorkflow> page = psworkflowservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
