package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFAppService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFApp;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFAppController {
	@Autowired
    WFAppService wfappservice;


	@RequestMapping(method = RequestMethod.POST, value = "/wfapps/checkkey")
    @PreAuthorize("@wfapp_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFApp wfapp) {
        boolean b = wfappservice.checkKey(wfapp);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfapps/getdraft")
    @PreAuthorize("@wfapp_pms.check('CREATE')")
    public ResponseEntity<WFApp> getDraft() {
        //WFApp wfapp = wfappservice.getDraft( wfapp_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFApp());
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapps/{wfapp_id}")
    @PreAuthorize("@wfapp_pms.check(#wfapp_id,'UPDATE')")
    public ResponseEntity<WFApp> update(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) {
        WFApp wfapp2 = wfappservice.update(wfapp_id, wfapp);
        return ResponseEntity.status(HttpStatus.OK).body(wfapp2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfapps/{wfapp_id}")
    @PreAuthorize("@wfapp_pms.check(#wfapp_id,'UPDATE')")
    public ResponseEntity<WFApp> api_update(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) {
        WFApp wfapp2 = wfappservice.update(wfapp_id, wfapp);
        return ResponseEntity.status(HttpStatus.OK).body(wfapp2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfapps/{wfapp_id}/save")
    @PreAuthorize("@wfapp_pms.check(#wfapp_id,'')")
    public ResponseEntity<WFApp> save(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) {
        WFApp wfapp2 = wfappservice.save(wfapp_id, wfapp);
        return ResponseEntity.status(HttpStatus.OK).body(wfapp2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfapps/{wfapp_id}")
    @PreAuthorize("@wfapp_pms.check(#wfapp_id,'READ')")
    public ResponseEntity<WFApp> get(@PathVariable("wfapp_id") String wfapp_id) {
        WFApp wfapp = wfappservice.get( wfapp_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfapp);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapps/{wfapp_id}")
    @PreAuthorize("@wfapp_pms.check(#wfapp_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfapp_id") String wfapp_id) {
        boolean b = wfappservice.remove( wfapp_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfapps")
    @PreAuthorize("@wfapp_pms.check('CREATE')")
    public ResponseEntity<WFApp> create(@RequestBody WFApp wfapp) {
        WFApp wfapp2 = wfappservice.create(wfapp);
        return ResponseEntity.status(HttpStatus.OK).body(wfapp2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfapps/fetchdefault")
    @PreAuthorize("@wfapp_pms.check('READ')")
	public ResponseEntity<List<WFApp>> fetchDefault(WFAppSearchContext searchContext,Pageable pageable) {
        
        Page<WFApp> page = wfappservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<WFApp> queryWFApp(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) {
        return null;
    }


}
