package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFEngineService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFEngine;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFEngineController {
	@Autowired
    WFEngineService wfengineservice;


	@RequestMapping(method = RequestMethod.GET, value = "/wfengines/getdraft")
    @PreAuthorize("@wfengine_pms.check('CREATE')")
    public ResponseEntity<WFEngine> getDraft() {
        //WFEngine wfengine = wfengineservice.getDraft( wfengine_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFEngine());
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfengines/checkkey")
    @PreAuthorize("@wfengine_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFEngine wfengine) {
        boolean b = wfengineservice.checkKey(wfengine);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfengines/{wfengine_id}")
    @PreAuthorize("@wfengine_pms.check(#wfengine_id,'UPDATE')")
    public ResponseEntity<WFEngine> update(@PathVariable("wfengine_id") String wfengine_id, @RequestBody WFEngine wfengine) {
        WFEngine wfengine2 = wfengineservice.update(wfengine_id, wfengine);
        return ResponseEntity.status(HttpStatus.OK).body(wfengine2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfengines/{wfengine_id}")
    @PreAuthorize("@wfengine_pms.check(#wfengine_id,'UPDATE')")
    public ResponseEntity<WFEngine> api_update(@PathVariable("wfengine_id") String wfengine_id, @RequestBody WFEngine wfengine) {
        WFEngine wfengine2 = wfengineservice.update(wfengine_id, wfengine);
        return ResponseEntity.status(HttpStatus.OK).body(wfengine2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfengines/{wfengine_id}")
    @PreAuthorize("@wfengine_pms.check(#wfengine_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfengine_id") String wfengine_id) {
        boolean b = wfengineservice.remove( wfengine_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfengines")
    @PreAuthorize("@wfengine_pms.check('CREATE')")
    public ResponseEntity<WFEngine> create(@RequestBody WFEngine wfengine) {
        WFEngine wfengine2 = wfengineservice.create(wfengine);
        return ResponseEntity.status(HttpStatus.OK).body(wfengine2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfengines/{wfengine_id}/save")
    @PreAuthorize("@wfengine_pms.check(#wfengine_id,'')")
    public ResponseEntity<WFEngine> save(@PathVariable("wfengine_id") String wfengine_id, @RequestBody WFEngine wfengine) {
        WFEngine wfengine2 = wfengineservice.save(wfengine_id, wfengine);
        return ResponseEntity.status(HttpStatus.OK).body(wfengine2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfengines/{wfengine_id}")
    @PreAuthorize("@wfengine_pms.check(#wfengine_id,'READ')")
    public ResponseEntity<WFEngine> get(@PathVariable("wfengine_id") String wfengine_id) {
        WFEngine wfengine = wfengineservice.get( wfengine_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfengine);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfengines/fetchdefault")
    @PreAuthorize("@wfengine_pms.check('READ')")
	public ResponseEntity<List<WFEngine>> fetchDefault(WFEngineSearchContext searchContext,Pageable pageable) {
        
        Page<WFEngine> page = wfengineservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
