package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFModeService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFMode;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFModeController {
	@Autowired
    WFModeService wfmodeservice;


	@RequestMapping(method = RequestMethod.POST, value = "/wfmodes/checkkey")
    @PreAuthorize("@wfmode_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFMode wfmode) {
        boolean b = wfmodeservice.checkKey(wfmode);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfmodes/{wfmode_id}")
    @PreAuthorize("@wfmode_pms.check(#wfmode_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfmode_id") String wfmode_id) {
        boolean b = wfmodeservice.remove( wfmode_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfmodes/{wfmode_id}")
    @PreAuthorize("@wfmode_pms.check(#wfmode_id,'READ')")
    public ResponseEntity<WFMode> get(@PathVariable("wfmode_id") String wfmode_id) {
        WFMode wfmode = wfmodeservice.get( wfmode_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfmode);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfmodes/{wfmode_id}")
    @PreAuthorize("@wfmode_pms.check(#wfmode_id,'UPDATE')")
    public ResponseEntity<WFMode> update(@PathVariable("wfmode_id") String wfmode_id, @RequestBody WFMode wfmode) {
        WFMode wfmode2 = wfmodeservice.update(wfmode_id, wfmode);
        return ResponseEntity.status(HttpStatus.OK).body(wfmode2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfmodes/{wfmode_id}")
    @PreAuthorize("@wfmode_pms.check(#wfmode_id,'UPDATE')")
    public ResponseEntity<WFMode> api_update(@PathVariable("wfmode_id") String wfmode_id, @RequestBody WFMode wfmode) {
        WFMode wfmode2 = wfmodeservice.update(wfmode_id, wfmode);
        return ResponseEntity.status(HttpStatus.OK).body(wfmode2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfmodes/getdraft")
    @PreAuthorize("@wfmode_pms.check('CREATE')")
    public ResponseEntity<WFMode> getDraft() {
        //WFMode wfmode = wfmodeservice.getDraft( wfmode_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFMode());
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfmodes/{wfmode_id}/save")
    @PreAuthorize("@wfmode_pms.check(#wfmode_id,'')")
    public ResponseEntity<WFMode> save(@PathVariable("wfmode_id") String wfmode_id, @RequestBody WFMode wfmode) {
        WFMode wfmode2 = wfmodeservice.save(wfmode_id, wfmode);
        return ResponseEntity.status(HttpStatus.OK).body(wfmode2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfmodes")
    @PreAuthorize("@wfmode_pms.check('CREATE')")
    public ResponseEntity<WFMode> create(@RequestBody WFMode wfmode) {
        WFMode wfmode2 = wfmodeservice.create(wfmode);
        return ResponseEntity.status(HttpStatus.OK).body(wfmode2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfmodes/fetchdefault")
    @PreAuthorize("@wfmode_pms.check('READ')")
	public ResponseEntity<List<WFMode>> fetchDefault(WFModeSearchContext searchContext,Pageable pageable) {
        
        Page<WFMode> page = wfmodeservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
