package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFRoleService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFRole;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFRoleController {
	@Autowired
    WFRoleService wfroleservice;


	@RequestMapping(method = RequestMethod.GET, value = "/wfroles/getdraft")
    @PreAuthorize("@wfrole_pms.check('CREATE')")
    public ResponseEntity<WFRole> getDraft() {
        //WFRole wfrole = wfroleservice.getDraft( wfrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFRole());
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfroles/{wfrole_id}")
    @PreAuthorize("@wfrole_pms.check(#wfrole_id,'READ')")
    public ResponseEntity<WFRole> get(@PathVariable("wfrole_id") String wfrole_id) {
        WFRole wfrole = wfroleservice.get( wfrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfrole);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfroles")
    @PreAuthorize("@wfrole_pms.check('CREATE')")
    public ResponseEntity<WFRole> create(@RequestBody WFRole wfrole) {
        WFRole wfrole2 = wfroleservice.create(wfrole);
        return ResponseEntity.status(HttpStatus.OK).body(wfrole2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfroles/{wfrole_id}")
    @PreAuthorize("@wfrole_pms.check(#wfrole_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfrole_id") String wfrole_id) {
        boolean b = wfroleservice.remove( wfrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfroles/{wfrole_id}")
    @PreAuthorize("@wfrole_pms.check(#wfrole_id,'UPDATE')")
    public ResponseEntity<WFRole> update(@PathVariable("wfrole_id") String wfrole_id, @RequestBody WFRole wfrole) {
        WFRole wfrole2 = wfroleservice.update(wfrole_id, wfrole);
        return ResponseEntity.status(HttpStatus.OK).body(wfrole2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfroles/{wfrole_id}")
    @PreAuthorize("@wfrole_pms.check(#wfrole_id,'UPDATE')")
    public ResponseEntity<WFRole> api_update(@PathVariable("wfrole_id") String wfrole_id, @RequestBody WFRole wfrole) {
        WFRole wfrole2 = wfroleservice.update(wfrole_id, wfrole);
        return ResponseEntity.status(HttpStatus.OK).body(wfrole2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfroles/checkkey")
    @PreAuthorize("@wfrole_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFRole wfrole) {
        boolean b = wfroleservice.checkKey(wfrole);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfroles/{wfrole_id}/save")
    @PreAuthorize("@wfrole_pms.check(#wfrole_id,'')")
    public ResponseEntity<WFRole> save(@PathVariable("wfrole_id") String wfrole_id, @RequestBody WFRole wfrole) {
        WFRole wfrole2 = wfroleservice.save(wfrole_id, wfrole);
        return ResponseEntity.status(HttpStatus.OK).body(wfrole2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfroles/fetchdefault")
    @PreAuthorize("@wfrole_pms.check('READ')")
	public ResponseEntity<List<WFRole>> fetchDefault(WFRoleSearchContext searchContext,Pageable pageable) {
        
        Page<WFRole> page = wfroleservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
