package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFStepActorService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFStepActor;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFStepActorController {
	@Autowired
    WFStepActorService wfstepactorservice;


	@RequestMapping(method = RequestMethod.POST, value = "/wfstepactors/checkkey")
    @PreAuthorize("@wfstepactor_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFStepActor wfstepactor) {
        boolean b = wfstepactorservice.checkKey(wfstepactor);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfstepactors/{wfstepactor_id}")
    @PreAuthorize("@wfstepactor_pms.check(#wfstepactor_id,'READ')")
    public ResponseEntity<WFStepActor> get(@PathVariable("wfstepactor_id") String wfstepactor_id) {
        WFStepActor wfstepactor = wfstepactorservice.get( wfstepactor_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfstepactor);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfstepactors")
    @PreAuthorize("@wfstepactor_pms.check('CREATE')")
    public ResponseEntity<WFStepActor> create(@RequestBody WFStepActor wfstepactor) {
        WFStepActor wfstepactor2 = wfstepactorservice.create(wfstepactor);
        return ResponseEntity.status(HttpStatus.OK).body(wfstepactor2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfstepactors/{wfstepactor_id}")
    @PreAuthorize("@wfstepactor_pms.check(#wfstepactor_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfstepactor_id") String wfstepactor_id) {
        boolean b = wfstepactorservice.remove( wfstepactor_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfstepactors/{wfstepactor_id}/save")
    @PreAuthorize("@wfstepactor_pms.check(#wfstepactor_id,'')")
    public ResponseEntity<WFStepActor> save(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) {
        WFStepActor wfstepactor2 = wfstepactorservice.save(wfstepactor_id, wfstepactor);
        return ResponseEntity.status(HttpStatus.OK).body(wfstepactor2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfstepactors/{wfstepactor_id}")
    @PreAuthorize("@wfstepactor_pms.check(#wfstepactor_id,'UPDATE')")
    public ResponseEntity<WFStepActor> update(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) {
        WFStepActor wfstepactor2 = wfstepactorservice.update(wfstepactor_id, wfstepactor);
        return ResponseEntity.status(HttpStatus.OK).body(wfstepactor2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfstepactors/{wfstepactor_id}")
    @PreAuthorize("@wfstepactor_pms.check(#wfstepactor_id,'UPDATE')")
    public ResponseEntity<WFStepActor> api_update(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) {
        WFStepActor wfstepactor2 = wfstepactorservice.update(wfstepactor_id, wfstepactor);
        return ResponseEntity.status(HttpStatus.OK).body(wfstepactor2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfstepactors/getdraft")
    @PreAuthorize("@wfstepactor_pms.check('CREATE')")
    public ResponseEntity<WFStepActor> getDraft() {
        //WFStepActor wfstepactor = wfstepactorservice.getDraft( wfstepactor_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFStepActor());
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfstepactors/fetchdefault")
    @PreAuthorize("@wfstepactor_pms.check('READ')")
	public ResponseEntity<List<WFStepActor>> fetchDefault(WFStepActorSearchContext searchContext,Pageable pageable) {
        
        Page<WFStepActor> page = wfstepactorservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<WFStepActor> calculateNext(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) {
        return null;
    }


}
