package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFStepService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFStep;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFStepController {
	@Autowired
    WFStepService wfstepservice;


	@RequestMapping(method = RequestMethod.GET, value = "/wfsteps/getdraft")
    @PreAuthorize("@wfstep_pms.check('CREATE')")
    public ResponseEntity<WFStep> getDraft() {
        //WFStep wfstep = wfstepservice.getDraft( wfstep_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFStep());
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfsteps")
    @PreAuthorize("@wfstep_pms.check('CREATE')")
    public ResponseEntity<WFStep> create(@RequestBody WFStep wfstep) {
        WFStep wfstep2 = wfstepservice.create(wfstep);
        return ResponseEntity.status(HttpStatus.OK).body(wfstep2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfsteps/{wfstep_id}/save")
    @PreAuthorize("@wfstep_pms.check(#wfstep_id,'')")
    public ResponseEntity<WFStep> save(@PathVariable("wfstep_id") String wfstep_id, @RequestBody WFStep wfstep) {
        WFStep wfstep2 = wfstepservice.save(wfstep_id, wfstep);
        return ResponseEntity.status(HttpStatus.OK).body(wfstep2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfsteps/checkkey")
    @PreAuthorize("@wfstep_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFStep wfstep) {
        boolean b = wfstepservice.checkKey(wfstep);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfsteps/{wfstep_id}")
    @PreAuthorize("@wfstep_pms.check(#wfstep_id,'READ')")
    public ResponseEntity<WFStep> get(@PathVariable("wfstep_id") String wfstep_id) {
        WFStep wfstep = wfstepservice.get( wfstep_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfstep);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfsteps/{wfstep_id}")
    @PreAuthorize("@wfstep_pms.check(#wfstep_id,'UPDATE')")
    public ResponseEntity<WFStep> update(@PathVariable("wfstep_id") String wfstep_id, @RequestBody WFStep wfstep) {
        WFStep wfstep2 = wfstepservice.update(wfstep_id, wfstep);
        return ResponseEntity.status(HttpStatus.OK).body(wfstep2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfsteps/{wfstep_id}")
    @PreAuthorize("@wfstep_pms.check(#wfstep_id,'UPDATE')")
    public ResponseEntity<WFStep> api_update(@PathVariable("wfstep_id") String wfstep_id, @RequestBody WFStep wfstep) {
        WFStep wfstep2 = wfstepservice.update(wfstep_id, wfstep);
        return ResponseEntity.status(HttpStatus.OK).body(wfstep2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfsteps/{wfstep_id}")
    @PreAuthorize("@wfstep_pms.check(#wfstep_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfstep_id") String wfstep_id) {
        boolean b = wfstepservice.remove( wfstep_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfsteps/fetchdefault")
    @PreAuthorize("@wfstep_pms.check('READ')")
	public ResponseEntity<List<WFStep>> fetchDefault(WFStepSearchContext searchContext,Pageable pageable) {
        
        Page<WFStep> page = wfstepservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
