package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFUserService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFUser;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFUserController {
	@Autowired
    WFUserService wfuserservice;


	@RequestMapping(method = RequestMethod.PUT, value = "/wfusers/{wfuser_id}")
    @PreAuthorize("@wfuser_pms.check(#wfuser_id,'UPDATE')")
    public ResponseEntity<WFUser> update(@PathVariable("wfuser_id") String wfuser_id, @RequestBody WFUser wfuser) {
        WFUser wfuser2 = wfuserservice.update(wfuser_id, wfuser);
        return ResponseEntity.status(HttpStatus.OK).body(wfuser2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfusers/{wfuser_id}")
    @PreAuthorize("@wfuser_pms.check(#wfuser_id,'UPDATE')")
    public ResponseEntity<WFUser> api_update(@PathVariable("wfuser_id") String wfuser_id, @RequestBody WFUser wfuser) {
        WFUser wfuser2 = wfuserservice.update(wfuser_id, wfuser);
        return ResponseEntity.status(HttpStatus.OK).body(wfuser2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfusers/{wfuser_id}")
    @PreAuthorize("@wfuser_pms.check(#wfuser_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfuser_id") String wfuser_id) {
        boolean b = wfuserservice.remove( wfuser_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfusers/{wfuser_id}/save")
    @PreAuthorize("@wfuser_pms.check(#wfuser_id,'')")
    public ResponseEntity<WFUser> save(@PathVariable("wfuser_id") String wfuser_id, @RequestBody WFUser wfuser) {
        WFUser wfuser2 = wfuserservice.save(wfuser_id, wfuser);
        return ResponseEntity.status(HttpStatus.OK).body(wfuser2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfusers/getdraft")
    @PreAuthorize("@wfuser_pms.check('CREATE')")
    public ResponseEntity<WFUser> getDraft() {
        //WFUser wfuser = wfuserservice.getDraft( wfuser_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFUser());
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfusers/checkkey")
    @PreAuthorize("@wfuser_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFUser wfuser) {
        boolean b = wfuserservice.checkKey(wfuser);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfusers")
    @PreAuthorize("@wfuser_pms.check('CREATE')")
    public ResponseEntity<WFUser> create(@RequestBody WFUser wfuser) {
        WFUser wfuser2 = wfuserservice.create(wfuser);
        return ResponseEntity.status(HttpStatus.OK).body(wfuser2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfusers/{wfuser_id}")
    @PreAuthorize("@wfuser_pms.check(#wfuser_id,'READ')")
    public ResponseEntity<WFUser> get(@PathVariable("wfuser_id") String wfuser_id) {
        WFUser wfuser = wfuserservice.get( wfuser_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfuser);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfusers/fetchdefault")
    @PreAuthorize("@wfuser_pms.check('READ')")
	public ResponseEntity<List<WFUser>> fetchDefault(WFUserSearchContext searchContext,Pageable pageable) {
        
        Page<WFUser> page = wfuserservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
