package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WFWorklistService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFWorklist;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WFWorklistController {
	@Autowired
    WFWorklistService wfworklistservice;


	@RequestMapping(method = RequestMethod.POST, value = "/wfworklists/checkkey")
    @PreAuthorize("@wfworklist_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody WFWorklist wfworklist) {
        boolean b = wfworklistservice.checkKey(wfworklist);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfworklists/getdraft")
    @PreAuthorize("@wfworklist_pms.check('CREATE')")
    public ResponseEntity<WFWorklist> getDraft() {
        //WFWorklist wfworklist = wfworklistservice.getDraft( wfworklist_id);
        return ResponseEntity.status(HttpStatus.OK).body(new WFWorklist());
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/wfworklists/{wfworklist_id}")
    @PreAuthorize("@wfworklist_pms.check(#wfworklist_id,'UPDATE')")
    public ResponseEntity<WFWorklist> update(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) {
        WFWorklist wfworklist2 = wfworklistservice.update(wfworklist_id, wfworklist);
        return ResponseEntity.status(HttpStatus.OK).body(wfworklist2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/wfworklists/{wfworklist_id}")
    @PreAuthorize("@wfworklist_pms.check(#wfworklist_id,'UPDATE')")
    public ResponseEntity<WFWorklist> api_update(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) {
        WFWorklist wfworklist2 = wfworklistservice.update(wfworklist_id, wfworklist);
        return ResponseEntity.status(HttpStatus.OK).body(wfworklist2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfworklists/{wfworklist_id}")
    @PreAuthorize("@wfworklist_pms.check(#wfworklist_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("wfworklist_id") String wfworklist_id) {
        boolean b = wfworklistservice.remove( wfworklist_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/wfworklists/{wfworklist_id}")
    @PreAuthorize("@wfworklist_pms.check(#wfworklist_id,'READ')")
    public ResponseEntity<WFWorklist> get(@PathVariable("wfworklist_id") String wfworklist_id) {
        WFWorklist wfworklist = wfworklistservice.get( wfworklist_id);
        return ResponseEntity.status(HttpStatus.OK).body(wfworklist);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfworklists/{wfworklist_id}/save")
    @PreAuthorize("@wfworklist_pms.check(#wfworklist_id,'')")
    public ResponseEntity<WFWorklist> save(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) {
        WFWorklist wfworklist2 = wfworklistservice.save(wfworklist_id, wfworklist);
        return ResponseEntity.status(HttpStatus.OK).body(wfworklist2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/wfworklists")
    @PreAuthorize("@wfworklist_pms.check('CREATE')")
    public ResponseEntity<WFWorklist> create(@RequestBody WFWorklist wfworklist) {
        WFWorklist wfworklist2 = wfworklistservice.create(wfworklist);
        return ResponseEntity.status(HttpStatus.OK).body(wfworklist2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfworklists/fetchdefault")
    @PreAuthorize("@wfworklist_pms.check('READ')")
	public ResponseEntity<List<WFWorklist>> fetchDefault(WFWorklistSearchContext searchContext,Pageable pageable) {
        
        Page<WFWorklist> page = wfworklistservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfworklists/fetchdonetask")
    @PreAuthorize("@wfworklist_pms.check('READ')")
	public ResponseEntity<List<WFWorklist>> fetchDoneTask(WFWorklistSearchContext searchContext,Pageable pageable) {
        
        Page<WFWorklist> page = wfworklistservice.fetchDoneTask(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/wfworklists/fetchtodotask")
    @PreAuthorize("@wfworklist_pms.check('READ')")
	public ResponseEntity<List<WFWorklist>> fetchTodoTask(WFWorklistSearchContext searchContext,Pageable pageable) {
        
        Page<WFWorklist> page = wfworklistservice.fetchTodoTask(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<WFWorklist> updateBatch(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) {
        return null;
    }


    public ResponseEntity<WFWorklist> createBatch(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) {
        return null;
    }


}
