package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service.WorkflowService;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.Workflow;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class WorkflowController {
	@Autowired
    WorkflowService workflowservice;


	@RequestMapping(method = RequestMethod.GET, value = "/workflows/getdraft")
    @PreAuthorize("@workflow_pms.check('CREATE')")
    public ResponseEntity<Workflow> getDraft() {
        //Workflow workflow = workflowservice.getDraft( workflow_id);
        return ResponseEntity.status(HttpStatus.OK).body(new Workflow());
    }

	@RequestMapping(method = RequestMethod.POST, value = "/workflows")
    @PreAuthorize("@workflow_pms.check('CREATE')")
    public ResponseEntity<Workflow> create(@RequestBody Workflow workflow) {
        Workflow workflow2 = workflowservice.create(workflow);
        return ResponseEntity.status(HttpStatus.OK).body(workflow2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/workflows/checkkey")
    @PreAuthorize("@workflow_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody Workflow workflow) {
        boolean b = workflowservice.checkKey(workflow);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/workflows/{workflow_id}")
    @PreAuthorize("@workflow_pms.check(#workflow_id,'READ')")
    public ResponseEntity<Workflow> get(@PathVariable("workflow_id") String workflow_id) {
        Workflow workflow = workflowservice.get( workflow_id);
        return ResponseEntity.status(HttpStatus.OK).body(workflow);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/workflows/{workflow_id}/save")
    @PreAuthorize("@workflow_pms.check(#workflow_id,'')")
    public ResponseEntity<Workflow> save(@PathVariable("workflow_id") String workflow_id, @RequestBody Workflow workflow) {
        Workflow workflow2 = workflowservice.save(workflow_id, workflow);
        return ResponseEntity.status(HttpStatus.OK).body(workflow2);
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/workflows/{workflow_id}")
    @PreAuthorize("@workflow_pms.check(#workflow_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("workflow_id") String workflow_id) {
        boolean b = workflowservice.remove( workflow_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/workflows/{workflow_id}")
    @PreAuthorize("@workflow_pms.check(#workflow_id,'UPDATE')")
    public ResponseEntity<Workflow> update(@PathVariable("workflow_id") String workflow_id, @RequestBody Workflow workflow) {
        Workflow workflow2 = workflowservice.update(workflow_id, workflow);
        return ResponseEntity.status(HttpStatus.OK).body(workflow2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/workflows/{workflow_id}")
    @PreAuthorize("@workflow_pms.check(#workflow_id,'UPDATE')")
    public ResponseEntity<Workflow> api_update(@PathVariable("workflow_id") String workflow_id, @RequestBody Workflow workflow) {
        Workflow workflow2 = workflowservice.update(workflow_id, workflow);
        return ResponseEntity.status(HttpStatus.OK).body(workflow2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/workflows/fetchdefault")
    @PreAuthorize("@workflow_pms.check('READ')")
	public ResponseEntity<List<Workflow>> fetchDefault(WorkflowSearchContext searchContext,Pageable pageable) {
        
        Page<Workflow> page = workflowservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
