package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[业务实体工作流]
 */
public class PSDEWF implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 错误跳转主状态
     */
    private String errorvalue;

    @JsonIgnore
    private boolean errorvalueDirtyFlag;
    
    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 用户状态属性
     */
    private String udstatefield;

    @JsonIgnore
    private boolean udstatefieldDirtyFlag;
    
    /**
     * 业务实体工作流名称
     */
    private String pSDEWFName;

    @JsonIgnore
    private boolean pSDEWFNameDirtyFlag;
    
    /**
     * 流程步骤属性
     */
    private String wfstepfield;

    @JsonIgnore
    private boolean wfstepfieldDirtyFlag;
    
    /**
     * 业务实体工作流标识
     */
    private String pSDEWFId;

    @JsonIgnore
    private boolean pSDEWFIdDirtyFlag;
    
    /**
     * 处理中主状态
     */
    private String processvalue;

    @JsonIgnore
    private boolean processvalueDirtyFlag;
    
    /**
     * 工作流代理模式
     */
    private Integer wFProxyMode;

    @JsonIgnore
    private boolean wFProxyModeDirtyFlag;
    
    /**
     * 流程状态属性
     */
    private String wfstatefield;

    @JsonIgnore
    private boolean wfstatefieldDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 完成跳转主状态
     */
    private String finishvalue;

    @JsonIgnore
    private boolean finishvalueDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 实体代码名
     */
    private String pSDECodeName;

    @JsonIgnore
    private boolean pSDECodeNameDirtyFlag;
    
    /**
     * 业务工作流标识
     */
    private String pSWorkflowId;

    @JsonIgnore
    private boolean pSWorkflowIdDirtyFlag;
    
    /**
     * 业务实体标识
     */
    private String pSDataEntityId;

    @JsonIgnore
    private boolean pSDataEntityIdDirtyFlag;
    

    /**
     * 获取 [错误跳转主状态]
     */
    @JsonProperty("errorvalue")
    public String getErrorvalue(){
        return this.errorvalue ;
    }

    /**
     * 设置 [错误跳转主状态]
     */
    @JsonProperty("errorvalue")
    public void setErrorvalue(String  errorvalue){
        this.errorvalue = errorvalue ;
        this.errorvalueDirtyFlag = true ;
    }

    /**
     * 获取 [错误跳转主状态]脏标记
     */
    @JsonIgnore
    public boolean getErrorvalueDirtyFlag(){
        return this.errorvalueDirtyFlag ;
    }

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [用户状态属性]
     */
    @JsonProperty("udstatefield")
    public String getUdstatefield(){
        return this.udstatefield ;
    }

    /**
     * 设置 [用户状态属性]
     */
    @JsonProperty("udstatefield")
    public void setUdstatefield(String  udstatefield){
        this.udstatefield = udstatefield ;
        this.udstatefieldDirtyFlag = true ;
    }

    /**
     * 获取 [用户状态属性]脏标记
     */
    @JsonIgnore
    public boolean getUdstatefieldDirtyFlag(){
        return this.udstatefieldDirtyFlag ;
    }

    /**
     * 获取 [业务实体工作流名称]
     */
    @JsonProperty("psdewfname")
    public String getPSDEWFName(){
        return this.pSDEWFName ;
    }

    /**
     * 设置 [业务实体工作流名称]
     */
    @JsonProperty("psdewfname")
    public void setPSDEWFName(String  pSDEWFName){
        this.pSDEWFName = pSDEWFName ;
        this.pSDEWFNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务实体工作流名称]脏标记
     */
    @JsonIgnore
    public boolean getPSDEWFNameDirtyFlag(){
        return this.pSDEWFNameDirtyFlag ;
    }

    /**
     * 获取 [流程步骤属性]
     */
    @JsonProperty("wfstepfield")
    public String getWfstepfield(){
        return this.wfstepfield ;
    }

    /**
     * 设置 [流程步骤属性]
     */
    @JsonProperty("wfstepfield")
    public void setWfstepfield(String  wfstepfield){
        this.wfstepfield = wfstepfield ;
        this.wfstepfieldDirtyFlag = true ;
    }

    /**
     * 获取 [流程步骤属性]脏标记
     */
    @JsonIgnore
    public boolean getWfstepfieldDirtyFlag(){
        return this.wfstepfieldDirtyFlag ;
    }

    /**
     * 获取 [业务实体工作流标识]
     */
    @JsonProperty("psdewfid")
    public String getPSDEWFId(){
        return this.pSDEWFId ;
    }

    /**
     * 设置 [业务实体工作流标识]
     */
    @JsonProperty("psdewfid")
    public void setPSDEWFId(String  pSDEWFId){
        this.pSDEWFId = pSDEWFId ;
        this.pSDEWFIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务实体工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getPSDEWFIdDirtyFlag(){
        return this.pSDEWFIdDirtyFlag ;
    }

    /**
     * 获取 [处理中主状态]
     */
    @JsonProperty("processvalue")
    public String getProcessvalue(){
        return this.processvalue ;
    }

    /**
     * 设置 [处理中主状态]
     */
    @JsonProperty("processvalue")
    public void setProcessvalue(String  processvalue){
        this.processvalue = processvalue ;
        this.processvalueDirtyFlag = true ;
    }

    /**
     * 获取 [处理中主状态]脏标记
     */
    @JsonIgnore
    public boolean getProcessvalueDirtyFlag(){
        return this.processvalueDirtyFlag ;
    }

    /**
     * 获取 [工作流代理模式]
     */
    @JsonProperty("wfproxymode")
    public Integer getWFProxyMode(){
        return this.wFProxyMode ;
    }

    /**
     * 设置 [工作流代理模式]
     */
    @JsonProperty("wfproxymode")
    public void setWFProxyMode(Integer  wFProxyMode){
        this.wFProxyMode = wFProxyMode ;
        this.wFProxyModeDirtyFlag = true ;
    }

    /**
     * 获取 [工作流代理模式]脏标记
     */
    @JsonIgnore
    public boolean getWFProxyModeDirtyFlag(){
        return this.wFProxyModeDirtyFlag ;
    }

    /**
     * 获取 [流程状态属性]
     */
    @JsonProperty("wfstatefield")
    public String getWfstatefield(){
        return this.wfstatefield ;
    }

    /**
     * 设置 [流程状态属性]
     */
    @JsonProperty("wfstatefield")
    public void setWfstatefield(String  wfstatefield){
        this.wfstatefield = wfstatefield ;
        this.wfstatefieldDirtyFlag = true ;
    }

    /**
     * 获取 [流程状态属性]脏标记
     */
    @JsonIgnore
    public boolean getWfstatefieldDirtyFlag(){
        return this.wfstatefieldDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [完成跳转主状态]
     */
    @JsonProperty("finishvalue")
    public String getFinishvalue(){
        return this.finishvalue ;
    }

    /**
     * 设置 [完成跳转主状态]
     */
    @JsonProperty("finishvalue")
    public void setFinishvalue(String  finishvalue){
        this.finishvalue = finishvalue ;
        this.finishvalueDirtyFlag = true ;
    }

    /**
     * 获取 [完成跳转主状态]脏标记
     */
    @JsonIgnore
    public boolean getFinishvalueDirtyFlag(){
        return this.finishvalueDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [实体代码名]
     */
    @JsonProperty("psdecodename")
    public String getPSDECodeName(){
        return this.pSDECodeName ;
    }

    /**
     * 设置 [实体代码名]
     */
    @JsonProperty("psdecodename")
    public void setPSDECodeName(String  pSDECodeName){
        this.pSDECodeName = pSDECodeName ;
        this.pSDECodeNameDirtyFlag = true ;
    }

    /**
     * 获取 [实体代码名]脏标记
     */
    @JsonIgnore
    public boolean getPSDECodeNameDirtyFlag(){
        return this.pSDECodeNameDirtyFlag ;
    }

    /**
     * 获取 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public String getPSWorkflowId(){
        return this.pSWorkflowId ;
    }

    /**
     * 设置 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public void setPSWorkflowId(String  pSWorkflowId){
        this.pSWorkflowId = pSWorkflowId ;
        this.pSWorkflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWorkflowIdDirtyFlag(){
        return this.pSWorkflowIdDirtyFlag ;
    }

    /**
     * 获取 [业务实体标识]
     */
    @JsonProperty("psdataentityid")
    public String getPSDataEntityId(){
        return this.pSDataEntityId ;
    }

    /**
     * 设置 [业务实体标识]
     */
    @JsonProperty("psdataentityid")
    public void setPSDataEntityId(String  pSDataEntityId){
        this.pSDataEntityId = pSDataEntityId ;
        this.pSDataEntityIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务实体标识]脏标记
     */
    @JsonIgnore
    public boolean getPSDataEntityIdDirtyFlag(){
        return this.pSDataEntityIdDirtyFlag ;
    }



}
