package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[业务系统应用]
 */
public class PSSysApp implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 业务系统应用标识
     */
    private String pSSysAppId;

    @JsonIgnore
    private boolean pSSysAppIdDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 代理地址
     */
    private String proxyviewurl;

    @JsonIgnore
    private boolean proxyviewurlDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 应用地址
     */
    private String appUrl;

    @JsonIgnore
    private boolean appUrlDirtyFlag;
    
    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 服务地址
     */
    private String serviceUrl;

    @JsonIgnore
    private boolean serviceUrlDirtyFlag;
    
    /**
     * 业务系统应用名称
     */
    private String pSSysAppName;

    @JsonIgnore
    private boolean pSSysAppNameDirtyFlag;
    
    /**
     * 服务标识
     */
    private String serviceId;

    @JsonIgnore
    private boolean serviceIdDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 业务系统标识
     */
    private String pSSystemId;

    @JsonIgnore
    private boolean pSSystemIdDirtyFlag;
    

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [业务系统应用标识]
     */
    @JsonProperty("pssysappid")
    public String getPSSysAppId(){
        return this.pSSysAppId ;
    }

    /**
     * 设置 [业务系统应用标识]
     */
    @JsonProperty("pssysappid")
    public void setPSSysAppId(String  pSSysAppId){
        this.pSSysAppId = pSSysAppId ;
        this.pSSysAppIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务系统应用标识]脏标记
     */
    @JsonIgnore
    public boolean getPSSysAppIdDirtyFlag(){
        return this.pSSysAppIdDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [代理地址]
     */
    @JsonProperty("proxyviewurl")
    public String getProxyviewurl(){
        return this.proxyviewurl ;
    }

    /**
     * 设置 [代理地址]
     */
    @JsonProperty("proxyviewurl")
    public void setProxyviewurl(String  proxyviewurl){
        this.proxyviewurl = proxyviewurl ;
        this.proxyviewurlDirtyFlag = true ;
    }

    /**
     * 获取 [代理地址]脏标记
     */
    @JsonIgnore
    public boolean getProxyviewurlDirtyFlag(){
        return this.proxyviewurlDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [应用地址]
     */
    @JsonProperty("appurl")
    public String getAppUrl(){
        return this.appUrl ;
    }

    /**
     * 设置 [应用地址]
     */
    @JsonProperty("appurl")
    public void setAppUrl(String  appUrl){
        this.appUrl = appUrl ;
        this.appUrlDirtyFlag = true ;
    }

    /**
     * 获取 [应用地址]脏标记
     */
    @JsonIgnore
    public boolean getAppUrlDirtyFlag(){
        return this.appUrlDirtyFlag ;
    }

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [服务地址]
     */
    @JsonProperty("serviceurl")
    public String getServiceUrl(){
        return this.serviceUrl ;
    }

    /**
     * 设置 [服务地址]
     */
    @JsonProperty("serviceurl")
    public void setServiceUrl(String  serviceUrl){
        this.serviceUrl = serviceUrl ;
        this.serviceUrlDirtyFlag = true ;
    }

    /**
     * 获取 [服务地址]脏标记
     */
    @JsonIgnore
    public boolean getServiceUrlDirtyFlag(){
        return this.serviceUrlDirtyFlag ;
    }

    /**
     * 获取 [业务系统应用名称]
     */
    @JsonProperty("pssysappname")
    public String getPSSysAppName(){
        return this.pSSysAppName ;
    }

    /**
     * 设置 [业务系统应用名称]
     */
    @JsonProperty("pssysappname")
    public void setPSSysAppName(String  pSSysAppName){
        this.pSSysAppName = pSSysAppName ;
        this.pSSysAppNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务系统应用名称]脏标记
     */
    @JsonIgnore
    public boolean getPSSysAppNameDirtyFlag(){
        return this.pSSysAppNameDirtyFlag ;
    }

    /**
     * 获取 [服务标识]
     */
    @JsonProperty("serviceid")
    public String getServiceId(){
        return this.serviceId ;
    }

    /**
     * 设置 [服务标识]
     */
    @JsonProperty("serviceid")
    public void setServiceId(String  serviceId){
        this.serviceId = serviceId ;
        this.serviceIdDirtyFlag = true ;
    }

    /**
     * 获取 [服务标识]脏标记
     */
    @JsonIgnore
    public boolean getServiceIdDirtyFlag(){
        return this.serviceIdDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [业务系统标识]
     */
    @JsonProperty("pssystemid")
    public String getPSSystemId(){
        return this.pSSystemId ;
    }

    /**
     * 设置 [业务系统标识]
     */
    @JsonProperty("pssystemid")
    public void setPSSystemId(String  pSSystemId){
        this.pSSystemId = pSSystemId ;
        this.pSSystemIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务系统标识]脏标记
     */
    @JsonIgnore
    public boolean getPSSystemIdDirtyFlag(){
        return this.pSSystemIdDirtyFlag ;
    }



}
