package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[系统流程分类]
 */
public class PSSysWFCat implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 系统流程分类标识
     */
    private String pSSysWFCatId;

    @JsonIgnore
    private boolean pSSysWFCatIdDirtyFlag;
    
    /**
     * 系统流程分类名称
     */
    private String pSSysWFCatName;

    @JsonIgnore
    private boolean pSSysWFCatNameDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [系统流程分类标识]
     */
    @JsonProperty("pssyswfcatid")
    public String getPSSysWFCatId(){
        return this.pSSysWFCatId ;
    }

    /**
     * 设置 [系统流程分类标识]
     */
    @JsonProperty("pssyswfcatid")
    public void setPSSysWFCatId(String  pSSysWFCatId){
        this.pSSysWFCatId = pSSysWFCatId ;
        this.pSSysWFCatIdDirtyFlag = true ;
    }

    /**
     * 获取 [系统流程分类标识]脏标记
     */
    @JsonIgnore
    public boolean getPSSysWFCatIdDirtyFlag(){
        return this.pSSysWFCatIdDirtyFlag ;
    }

    /**
     * 获取 [系统流程分类名称]
     */
    @JsonProperty("pssyswfcatname")
    public String getPSSysWFCatName(){
        return this.pSSysWFCatName ;
    }

    /**
     * 设置 [系统流程分类名称]
     */
    @JsonProperty("pssyswfcatname")
    public void setPSSysWFCatName(String  pSSysWFCatName){
        this.pSSysWFCatName = pSSysWFCatName ;
        this.pSSysWFCatNameDirtyFlag = true ;
    }

    /**
     * 获取 [系统流程分类名称]脏标记
     */
    @JsonIgnore
    public boolean getPSSysWFCatNameDirtyFlag(){
        return this.pSSysWFCatNameDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }



}
