package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[业务系统]
 */
public class PSSystem implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 根路径
     */
    private String rootpath;

    @JsonIgnore
    private boolean rootpathDirtyFlag;
    
    /**
     * 业务系统标识
     */
    private String pSSystemId;

    @JsonIgnore
    private boolean pSSystemIdDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 服务地址
     */
    private String serviceUrl;

    @JsonIgnore
    private boolean serviceUrlDirtyFlag;
    
    /**
     * 服务标识
     */
    private String serviceId;

    @JsonIgnore
    private boolean serviceIdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 业务系统名称
     */
    private String pSSystemName;

    @JsonIgnore
    private boolean pSSystemNameDirtyFlag;
    
    /**
     * 统一工作流名称
     */
    private String workflowName;

    @JsonIgnore
    private boolean workflowNameDirtyFlag;
    
    /**
     * 部门标识
     */
    private String orgDeptId;

    @JsonIgnore
    private boolean orgDeptIdDirtyFlag;
    
    /**
     * 统一工作流标识
     */
    private String workflowId;

    @JsonIgnore
    private boolean workflowIdDirtyFlag;
    
    /**
     * 组织标识
     */
    private String orgId;

    @JsonIgnore
    private boolean orgIdDirtyFlag;
    

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [根路径]
     */
    @JsonProperty("rootpath")
    public String getRootpath(){
        return this.rootpath ;
    }

    /**
     * 设置 [根路径]
     */
    @JsonProperty("rootpath")
    public void setRootpath(String  rootpath){
        this.rootpath = rootpath ;
        this.rootpathDirtyFlag = true ;
    }

    /**
     * 获取 [根路径]脏标记
     */
    @JsonIgnore
    public boolean getRootpathDirtyFlag(){
        return this.rootpathDirtyFlag ;
    }

    /**
     * 获取 [业务系统标识]
     */
    @JsonProperty("pssystemid")
    public String getPSSystemId(){
        return this.pSSystemId ;
    }

    /**
     * 设置 [业务系统标识]
     */
    @JsonProperty("pssystemid")
    public void setPSSystemId(String  pSSystemId){
        this.pSSystemId = pSSystemId ;
        this.pSSystemIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务系统标识]脏标记
     */
    @JsonIgnore
    public boolean getPSSystemIdDirtyFlag(){
        return this.pSSystemIdDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [服务地址]
     */
    @JsonProperty("serviceurl")
    public String getServiceUrl(){
        return this.serviceUrl ;
    }

    /**
     * 设置 [服务地址]
     */
    @JsonProperty("serviceurl")
    public void setServiceUrl(String  serviceUrl){
        this.serviceUrl = serviceUrl ;
        this.serviceUrlDirtyFlag = true ;
    }

    /**
     * 获取 [服务地址]脏标记
     */
    @JsonIgnore
    public boolean getServiceUrlDirtyFlag(){
        return this.serviceUrlDirtyFlag ;
    }

    /**
     * 获取 [服务标识]
     */
    @JsonProperty("serviceid")
    public String getServiceId(){
        return this.serviceId ;
    }

    /**
     * 设置 [服务标识]
     */
    @JsonProperty("serviceid")
    public void setServiceId(String  serviceId){
        this.serviceId = serviceId ;
        this.serviceIdDirtyFlag = true ;
    }

    /**
     * 获取 [服务标识]脏标记
     */
    @JsonIgnore
    public boolean getServiceIdDirtyFlag(){
        return this.serviceIdDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [业务系统名称]
     */
    @JsonProperty("pssystemname")
    public String getPSSystemName(){
        return this.pSSystemName ;
    }

    /**
     * 设置 [业务系统名称]
     */
    @JsonProperty("pssystemname")
    public void setPSSystemName(String  pSSystemName){
        this.pSSystemName = pSSystemName ;
        this.pSSystemNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务系统名称]脏标记
     */
    @JsonIgnore
    public boolean getPSSystemNameDirtyFlag(){
        return this.pSSystemNameDirtyFlag ;
    }

    /**
     * 获取 [统一工作流名称]
     */
    @JsonProperty("workflowname")
    public String getWorkflowName(){
        return this.workflowName ;
    }

    /**
     * 设置 [统一工作流名称]
     */
    @JsonProperty("workflowname")
    public void setWorkflowName(String  workflowName){
        this.workflowName = workflowName ;
        this.workflowNameDirtyFlag = true ;
    }

    /**
     * 获取 [统一工作流名称]脏标记
     */
    @JsonIgnore
    public boolean getWorkflowNameDirtyFlag(){
        return this.workflowNameDirtyFlag ;
    }

    /**
     * 获取 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public String getOrgDeptId(){
        return this.orgDeptId ;
    }

    /**
     * 设置 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public void setOrgDeptId(String  orgDeptId){
        this.orgDeptId = orgDeptId ;
        this.orgDeptIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptIdDirtyFlag(){
        return this.orgDeptIdDirtyFlag ;
    }

    /**
     * 获取 [统一工作流标识]
     */
    @JsonProperty("workflowid")
    public String getWorkflowId(){
        return this.workflowId ;
    }

    /**
     * 设置 [统一工作流标识]
     */
    @JsonProperty("workflowid")
    public void setWorkflowId(String  workflowId){
        this.workflowId = workflowId ;
        this.workflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [统一工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getWorkflowIdDirtyFlag(){
        return this.workflowIdDirtyFlag ;
    }

    /**
     * 获取 [组织标识]
     */
    @JsonProperty("orgid")
    public String getOrgId(){
        return this.orgId ;
    }

    /**
     * 设置 [组织标识]
     */
    @JsonProperty("orgid")
    public void setOrgId(String  orgId){
        this.orgId = orgId ;
        this.orgIdDirtyFlag = true ;
    }

    /**
     * 获取 [组织标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgIdDirtyFlag(){
        return this.orgIdDirtyFlag ;
    }



}
