package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[流程处理角色]
 */
public class PSWFProcRole implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 角色类型
     */
    private String roleType;

    @JsonIgnore
    private boolean roleTypeDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 数据对象属性名称
     */
    private String udfield;

    @JsonIgnore
    private boolean udfieldDirtyFlag;
    
    /**
     * 流程处理角色名称
     */
    private String pSWFProcRoleName;

    @JsonIgnore
    private boolean pSWFProcRoleNameDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 流程处理角色标识
     */
    private String pSWFProcRoleId;

    @JsonIgnore
    private boolean pSWFProcRoleIdDirtyFlag;
    
    /**
     * 流程处理名称
     */
    private String pSWFProcessName;

    @JsonIgnore
    private boolean pSWFProcessNameDirtyFlag;
    
    /**
     * 流程处理标识
     */
    private String pSWFProcessId;

    @JsonIgnore
    private boolean pSWFProcessIdDirtyFlag;
    
    /**
     * 平台流程角色标识
     */
    private String pSWFRoleId;

    @JsonIgnore
    private boolean pSWFRoleIdDirtyFlag;
    

    /**
     * 获取 [角色类型]
     */
    @JsonProperty("roletype")
    public String getRoleType(){
        return this.roleType ;
    }

    /**
     * 设置 [角色类型]
     */
    @JsonProperty("roletype")
    public void setRoleType(String  roleType){
        this.roleType = roleType ;
        this.roleTypeDirtyFlag = true ;
    }

    /**
     * 获取 [角色类型]脏标记
     */
    @JsonIgnore
    public boolean getRoleTypeDirtyFlag(){
        return this.roleTypeDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [数据对象属性名称]
     */
    @JsonProperty("udfield")
    public String getUdfield(){
        return this.udfield ;
    }

    /**
     * 设置 [数据对象属性名称]
     */
    @JsonProperty("udfield")
    public void setUdfield(String  udfield){
        this.udfield = udfield ;
        this.udfieldDirtyFlag = true ;
    }

    /**
     * 获取 [数据对象属性名称]脏标记
     */
    @JsonIgnore
    public boolean getUdfieldDirtyFlag(){
        return this.udfieldDirtyFlag ;
    }

    /**
     * 获取 [流程处理角色名称]
     */
    @JsonProperty("pswfprocrolename")
    public String getPSWFProcRoleName(){
        return this.pSWFProcRoleName ;
    }

    /**
     * 设置 [流程处理角色名称]
     */
    @JsonProperty("pswfprocrolename")
    public void setPSWFProcRoleName(String  pSWFProcRoleName){
        this.pSWFProcRoleName = pSWFProcRoleName ;
        this.pSWFProcRoleNameDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理角色名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcRoleNameDirtyFlag(){
        return this.pSWFProcRoleNameDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [流程处理角色标识]
     */
    @JsonProperty("pswfprocroleid")
    public String getPSWFProcRoleId(){
        return this.pSWFProcRoleId ;
    }

    /**
     * 设置 [流程处理角色标识]
     */
    @JsonProperty("pswfprocroleid")
    public void setPSWFProcRoleId(String  pSWFProcRoleId){
        this.pSWFProcRoleId = pSWFProcRoleId ;
        this.pSWFProcRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理角色标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcRoleIdDirtyFlag(){
        return this.pSWFProcRoleIdDirtyFlag ;
    }

    /**
     * 获取 [流程处理名称]
     */
    @JsonProperty("pswfprocessname")
    public String getPSWFProcessName(){
        return this.pSWFProcessName ;
    }

    /**
     * 设置 [流程处理名称]
     */
    @JsonProperty("pswfprocessname")
    public void setPSWFProcessName(String  pSWFProcessName){
        this.pSWFProcessName = pSWFProcessName ;
        this.pSWFProcessNameDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcessNameDirtyFlag(){
        return this.pSWFProcessNameDirtyFlag ;
    }

    /**
     * 获取 [流程处理标识]
     */
    @JsonProperty("pswfprocessid")
    public String getPSWFProcessId(){
        return this.pSWFProcessId ;
    }

    /**
     * 设置 [流程处理标识]
     */
    @JsonProperty("pswfprocessid")
    public void setPSWFProcessId(String  pSWFProcessId){
        this.pSWFProcessId = pSWFProcessId ;
        this.pSWFProcessIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcessIdDirtyFlag(){
        return this.pSWFProcessIdDirtyFlag ;
    }

    /**
     * 获取 [平台流程角色标识]
     */
    @JsonProperty("pswfroleid")
    public String getPSWFRoleId(){
        return this.pSWFRoleId ;
    }

    /**
     * 设置 [平台流程角色标识]
     */
    @JsonProperty("pswfroleid")
    public void setPSWFRoleId(String  pSWFRoleId){
        this.pSWFRoleId = pSWFRoleId ;
        this.pSWFRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFRoleIdDirtyFlag(){
        return this.pSWFRoleIdDirtyFlag ;
    }



}
