package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[平台流程角色]
 */
public class PSWFRole implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 角色数据2
     */
    private String roleData2;

    @JsonIgnore
    private boolean roleData2DirtyFlag;
    
    /**
     * 角色数据
     */
    private String roleData;

    @JsonIgnore
    private boolean roleDataDirtyFlag;
    
    /**
     * 平台流程角色标识
     */
    private String pSWFRoleId;

    @JsonIgnore
    private boolean pSWFRoleIdDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 系统数据
     */
    private Integer systemFlag;

    @JsonIgnore
    private boolean systemFlagDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 流程角色名称
     */
    private String pSWFRoleName;

    @JsonIgnore
    private boolean pSWFRoleNameDirtyFlag;
    
    /**
     * 角色类型
     */
    private String wFRoleType;

    @JsonIgnore
    private boolean wFRoleTypeDirtyFlag;
    
    /**
     * 部门名称
     */
    private String orgDeptName;

    @JsonIgnore
    private boolean orgDeptNameDirtyFlag;
    
    /**
     * 组织名称
     */
    private String orgName;

    @JsonIgnore
    private boolean orgNameDirtyFlag;
    
    /**
     * 部门标识
     */
    private String orgDeptId;

    @JsonIgnore
    private boolean orgDeptIdDirtyFlag;
    
    /**
     * 组织标识
     */
    private String orgId;

    @JsonIgnore
    private boolean orgIdDirtyFlag;
    

    /**
     * 获取 [角色数据2]
     */
    @JsonProperty("roledata2")
    public String getRoleData2(){
        return this.roleData2 ;
    }

    /**
     * 设置 [角色数据2]
     */
    @JsonProperty("roledata2")
    public void setRoleData2(String  roleData2){
        this.roleData2 = roleData2 ;
        this.roleData2DirtyFlag = true ;
    }

    /**
     * 获取 [角色数据2]脏标记
     */
    @JsonIgnore
    public boolean getRoleData2DirtyFlag(){
        return this.roleData2DirtyFlag ;
    }

    /**
     * 获取 [角色数据]
     */
    @JsonProperty("roledata")
    public String getRoleData(){
        return this.roleData ;
    }

    /**
     * 设置 [角色数据]
     */
    @JsonProperty("roledata")
    public void setRoleData(String  roleData){
        this.roleData = roleData ;
        this.roleDataDirtyFlag = true ;
    }

    /**
     * 获取 [角色数据]脏标记
     */
    @JsonIgnore
    public boolean getRoleDataDirtyFlag(){
        return this.roleDataDirtyFlag ;
    }

    /**
     * 获取 [平台流程角色标识]
     */
    @JsonProperty("pswfroleid")
    public String getPSWFRoleId(){
        return this.pSWFRoleId ;
    }

    /**
     * 设置 [平台流程角色标识]
     */
    @JsonProperty("pswfroleid")
    public void setPSWFRoleId(String  pSWFRoleId){
        this.pSWFRoleId = pSWFRoleId ;
        this.pSWFRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFRoleIdDirtyFlag(){
        return this.pSWFRoleIdDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [系统数据]
     */
    @JsonProperty("systemflag")
    public Integer getSystemFlag(){
        return this.systemFlag ;
    }

    /**
     * 设置 [系统数据]
     */
    @JsonProperty("systemflag")
    public void setSystemFlag(Integer  systemFlag){
        this.systemFlag = systemFlag ;
        this.systemFlagDirtyFlag = true ;
    }

    /**
     * 获取 [系统数据]脏标记
     */
    @JsonIgnore
    public boolean getSystemFlagDirtyFlag(){
        return this.systemFlagDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [流程角色名称]
     */
    @JsonProperty("pswfrolename")
    public String getPSWFRoleName(){
        return this.pSWFRoleName ;
    }

    /**
     * 设置 [流程角色名称]
     */
    @JsonProperty("pswfrolename")
    public void setPSWFRoleName(String  pSWFRoleName){
        this.pSWFRoleName = pSWFRoleName ;
        this.pSWFRoleNameDirtyFlag = true ;
    }

    /**
     * 获取 [流程角色名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFRoleNameDirtyFlag(){
        return this.pSWFRoleNameDirtyFlag ;
    }

    /**
     * 获取 [角色类型]
     */
    @JsonProperty("wfroletype")
    public String getWFRoleType(){
        return this.wFRoleType ;
    }

    /**
     * 设置 [角色类型]
     */
    @JsonProperty("wfroletype")
    public void setWFRoleType(String  wFRoleType){
        this.wFRoleType = wFRoleType ;
        this.wFRoleTypeDirtyFlag = true ;
    }

    /**
     * 获取 [角色类型]脏标记
     */
    @JsonIgnore
    public boolean getWFRoleTypeDirtyFlag(){
        return this.wFRoleTypeDirtyFlag ;
    }

    /**
     * 获取 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public String getOrgDeptName(){
        return this.orgDeptName ;
    }

    /**
     * 设置 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public void setOrgDeptName(String  orgDeptName){
        this.orgDeptName = orgDeptName ;
        this.orgDeptNameDirtyFlag = true ;
    }

    /**
     * 获取 [部门名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptNameDirtyFlag(){
        return this.orgDeptNameDirtyFlag ;
    }

    /**
     * 获取 [组织名称]
     */
    @JsonProperty("orgname")
    public String getOrgName(){
        return this.orgName ;
    }

    /**
     * 设置 [组织名称]
     */
    @JsonProperty("orgname")
    public void setOrgName(String  orgName){
        this.orgName = orgName ;
        this.orgNameDirtyFlag = true ;
    }

    /**
     * 获取 [组织名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgNameDirtyFlag(){
        return this.orgNameDirtyFlag ;
    }

    /**
     * 获取 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public String getOrgDeptId(){
        return this.orgDeptId ;
    }

    /**
     * 设置 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public void setOrgDeptId(String  orgDeptId){
        this.orgDeptId = orgDeptId ;
        this.orgDeptIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptIdDirtyFlag(){
        return this.orgDeptIdDirtyFlag ;
    }

    /**
     * 获取 [组织标识]
     */
    @JsonProperty("orgid")
    public String getOrgId(){
        return this.orgId ;
    }

    /**
     * 设置 [组织标识]
     */
    @JsonProperty("orgid")
    public void setOrgId(String  orgId){
        this.orgId = orgId ;
        this.orgIdDirtyFlag = true ;
    }

    /**
     * 获取 [组织标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgIdDirtyFlag(){
        return this.orgIdDirtyFlag ;
    }



	private List <cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFRoleDetail> pswfroledetails = new ArrayList<cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFRoleDetail>() ;

    public List<cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFRoleDetail> getPswfroledetails(){
        return pswfroledetails ;
    }

    public void setPswfroledetails(List <cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFRoleDetail> pswfroledetails){
        this.pswfroledetails = pswfroledetails ;
    }

}
