package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[业务流程版本]
 */
public class PSWFVersion implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 版本
     */
    private Integer version;

    @JsonIgnore
    private boolean versionDirtyFlag;
    
    /**
     * 业务流程版本标识
     */
    private String pSWFVersionId;

    @JsonIgnore
    private boolean pSWFVersionIdDirtyFlag;
    
    /**
     * 流程文件名
     */
    private String fileName;

    @JsonIgnore
    private boolean fileNameDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 查看流程页面
     */
    private String viewurl;

    @JsonIgnore
    private boolean viewurlDirtyFlag;
    
    /**
     * 启动流程Api
     */
    private String startApi;

    @JsonIgnore
    private boolean startApiDirtyFlag;
    
    /**
     * 版本名称
     */
    private String pSWFVersionName;

    @JsonIgnore
    private boolean pSWFVersionNameDirtyFlag;
    
    /**
     * 流程实体
     */
    private String moduleId;

    @JsonIgnore
    private boolean moduleIdDirtyFlag;
    
    /**
     * 流程文件内容
     */
    private byte[] fileContent;

    @JsonIgnore
    private boolean fileContentDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 启动流程页面
     */
    private String startUrl;

    @JsonIgnore
    private boolean startUrlDirtyFlag;
    
    /**
     * 引擎部署标识
     */
    private String wFEngineDeployId;

    @JsonIgnore
    private boolean wFEngineDeployIdDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 部门名称
     */
    private String orgDeptName;

    @JsonIgnore
    private boolean orgDeptNameDirtyFlag;
    
    /**
     * 组织名称
     */
    private String orgName;

    @JsonIgnore
    private boolean orgNameDirtyFlag;
    
    /**
     * 业务工作流名称
     */
    private String pSWFWorkflowName;

    @JsonIgnore
    private boolean pSWFWorkflowNameDirtyFlag;
    
    /**
     * 组织标识
     */
    private String orgId;

    @JsonIgnore
    private boolean orgIdDirtyFlag;
    
    /**
     * 业务工作流标识
     */
    private String pSWorkflowId;

    @JsonIgnore
    private boolean pSWorkflowIdDirtyFlag;
    
    /**
     * 工作流应用标识
     */
    private String wFAppId;

    @JsonIgnore
    private boolean wFAppIdDirtyFlag;
    
    /**
     * 工作流模式标识
     */
    private String wFModeId;

    @JsonIgnore
    private boolean wFModeIdDirtyFlag;
    
    /**
     * 部门标识
     */
    private String orgDeptId;

    @JsonIgnore
    private boolean orgDeptIdDirtyFlag;
    

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [版本]
     */
    @JsonProperty("version")
    public Integer getVersion(){
        return this.version ;
    }

    /**
     * 设置 [版本]
     */
    @JsonProperty("version")
    public void setVersion(Integer  version){
        this.version = version ;
        this.versionDirtyFlag = true ;
    }

    /**
     * 获取 [版本]脏标记
     */
    @JsonIgnore
    public boolean getVersionDirtyFlag(){
        return this.versionDirtyFlag ;
    }

    /**
     * 获取 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public String getPSWFVersionId(){
        return this.pSWFVersionId ;
    }

    /**
     * 设置 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public void setPSWFVersionId(String  pSWFVersionId){
        this.pSWFVersionId = pSWFVersionId ;
        this.pSWFVersionIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionIdDirtyFlag(){
        return this.pSWFVersionIdDirtyFlag ;
    }

    /**
     * 获取 [流程文件名]
     */
    @JsonProperty("filename")
    public String getFileName(){
        return this.fileName ;
    }

    /**
     * 设置 [流程文件名]
     */
    @JsonProperty("filename")
    public void setFileName(String  fileName){
        this.fileName = fileName ;
        this.fileNameDirtyFlag = true ;
    }

    /**
     * 获取 [流程文件名]脏标记
     */
    @JsonIgnore
    public boolean getFileNameDirtyFlag(){
        return this.fileNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [查看流程页面]
     */
    @JsonProperty("viewurl")
    public String getViewurl(){
        return this.viewurl ;
    }

    /**
     * 设置 [查看流程页面]
     */
    @JsonProperty("viewurl")
    public void setViewurl(String  viewurl){
        this.viewurl = viewurl ;
        this.viewurlDirtyFlag = true ;
    }

    /**
     * 获取 [查看流程页面]脏标记
     */
    @JsonIgnore
    public boolean getViewurlDirtyFlag(){
        return this.viewurlDirtyFlag ;
    }

    /**
     * 获取 [启动流程Api]
     */
    @JsonProperty("startapi")
    public String getStartApi(){
        return this.startApi ;
    }

    /**
     * 设置 [启动流程Api]
     */
    @JsonProperty("startapi")
    public void setStartApi(String  startApi){
        this.startApi = startApi ;
        this.startApiDirtyFlag = true ;
    }

    /**
     * 获取 [启动流程Api]脏标记
     */
    @JsonIgnore
    public boolean getStartApiDirtyFlag(){
        return this.startApiDirtyFlag ;
    }

    /**
     * 获取 [版本名称]
     */
    @JsonProperty("pswfversionname")
    public String getPSWFVersionName(){
        return this.pSWFVersionName ;
    }

    /**
     * 设置 [版本名称]
     */
    @JsonProperty("pswfversionname")
    public void setPSWFVersionName(String  pSWFVersionName){
        this.pSWFVersionName = pSWFVersionName ;
        this.pSWFVersionNameDirtyFlag = true ;
    }

    /**
     * 获取 [版本名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionNameDirtyFlag(){
        return this.pSWFVersionNameDirtyFlag ;
    }

    /**
     * 获取 [流程实体]
     */
    @JsonProperty("moduleid")
    public String getModuleId(){
        return this.moduleId ;
    }

    /**
     * 设置 [流程实体]
     */
    @JsonProperty("moduleid")
    public void setModuleId(String  moduleId){
        this.moduleId = moduleId ;
        this.moduleIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程实体]脏标记
     */
    @JsonIgnore
    public boolean getModuleIdDirtyFlag(){
        return this.moduleIdDirtyFlag ;
    }

    /**
     * 获取 [流程文件内容]
     */
    @JsonProperty("filecontent")
    public byte[] getFileContent(){
        return this.fileContent ;
    }

    /**
     * 设置 [流程文件内容]
     */
    @JsonProperty("filecontent")
    public void setFileContent(byte[]  fileContent){
        this.fileContent = fileContent ;
        this.fileContentDirtyFlag = true ;
    }

    /**
     * 获取 [流程文件内容]脏标记
     */
    @JsonIgnore
    public boolean getFileContentDirtyFlag(){
        return this.fileContentDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [启动流程页面]
     */
    @JsonProperty("starturl")
    public String getStartUrl(){
        return this.startUrl ;
    }

    /**
     * 设置 [启动流程页面]
     */
    @JsonProperty("starturl")
    public void setStartUrl(String  startUrl){
        this.startUrl = startUrl ;
        this.startUrlDirtyFlag = true ;
    }

    /**
     * 获取 [启动流程页面]脏标记
     */
    @JsonIgnore
    public boolean getStartUrlDirtyFlag(){
        return this.startUrlDirtyFlag ;
    }

    /**
     * 获取 [引擎部署标识]
     */
    @JsonProperty("wfenginedeployid")
    public String getWFEngineDeployId(){
        return this.wFEngineDeployId ;
    }

    /**
     * 设置 [引擎部署标识]
     */
    @JsonProperty("wfenginedeployid")
    public void setWFEngineDeployId(String  wFEngineDeployId){
        this.wFEngineDeployId = wFEngineDeployId ;
        this.wFEngineDeployIdDirtyFlag = true ;
    }

    /**
     * 获取 [引擎部署标识]脏标记
     */
    @JsonIgnore
    public boolean getWFEngineDeployIdDirtyFlag(){
        return this.wFEngineDeployIdDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public String getOrgDeptName(){
        return this.orgDeptName ;
    }

    /**
     * 设置 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public void setOrgDeptName(String  orgDeptName){
        this.orgDeptName = orgDeptName ;
        this.orgDeptNameDirtyFlag = true ;
    }

    /**
     * 获取 [部门名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptNameDirtyFlag(){
        return this.orgDeptNameDirtyFlag ;
    }

    /**
     * 获取 [组织名称]
     */
    @JsonProperty("orgname")
    public String getOrgName(){
        return this.orgName ;
    }

    /**
     * 设置 [组织名称]
     */
    @JsonProperty("orgname")
    public void setOrgName(String  orgName){
        this.orgName = orgName ;
        this.orgNameDirtyFlag = true ;
    }

    /**
     * 获取 [组织名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgNameDirtyFlag(){
        return this.orgNameDirtyFlag ;
    }

    /**
     * 获取 [业务工作流名称]
     */
    @JsonProperty("pswfworkflowname")
    public String getPSWFWorkflowName(){
        return this.pSWFWorkflowName ;
    }

    /**
     * 设置 [业务工作流名称]
     */
    @JsonProperty("pswfworkflowname")
    public void setPSWFWorkflowName(String  pSWFWorkflowName){
        this.pSWFWorkflowName = pSWFWorkflowName ;
        this.pSWFWorkflowNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFWorkflowNameDirtyFlag(){
        return this.pSWFWorkflowNameDirtyFlag ;
    }

    /**
     * 获取 [组织标识]
     */
    @JsonProperty("orgid")
    public String getOrgId(){
        return this.orgId ;
    }

    /**
     * 设置 [组织标识]
     */
    @JsonProperty("orgid")
    public void setOrgId(String  orgId){
        this.orgId = orgId ;
        this.orgIdDirtyFlag = true ;
    }

    /**
     * 获取 [组织标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgIdDirtyFlag(){
        return this.orgIdDirtyFlag ;
    }

    /**
     * 获取 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public String getPSWorkflowId(){
        return this.pSWorkflowId ;
    }

    /**
     * 设置 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public void setPSWorkflowId(String  pSWorkflowId){
        this.pSWorkflowId = pSWorkflowId ;
        this.pSWorkflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWorkflowIdDirtyFlag(){
        return this.pSWorkflowIdDirtyFlag ;
    }

    /**
     * 获取 [工作流应用标识]
     */
    @JsonProperty("wfappid")
    public String getWFAppId(){
        return this.wFAppId ;
    }

    /**
     * 设置 [工作流应用标识]
     */
    @JsonProperty("wfappid")
    public void setWFAppId(String  wFAppId){
        this.wFAppId = wFAppId ;
        this.wFAppIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流应用标识]脏标记
     */
    @JsonIgnore
    public boolean getWFAppIdDirtyFlag(){
        return this.wFAppIdDirtyFlag ;
    }

    /**
     * 获取 [工作流模式标识]
     */
    @JsonProperty("wfmodeid")
    public String getWFModeId(){
        return this.wFModeId ;
    }

    /**
     * 设置 [工作流模式标识]
     */
    @JsonProperty("wfmodeid")
    public void setWFModeId(String  wFModeId){
        this.wFModeId = wFModeId ;
        this.wFModeIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流模式标识]脏标记
     */
    @JsonIgnore
    public boolean getWFModeIdDirtyFlag(){
        return this.wFModeIdDirtyFlag ;
    }

    /**
     * 获取 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public String getOrgDeptId(){
        return this.orgDeptId ;
    }

    /**
     * 设置 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public void setOrgDeptId(String  orgDeptId){
        this.orgDeptId = orgDeptId ;
        this.orgDeptIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptIdDirtyFlag(){
        return this.orgDeptIdDirtyFlag ;
    }



}
