package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[工作流引擎]
 */
public class WFEngine implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 工作流引擎名称
     */
    private String wFEngineName;

    @JsonIgnore
    private boolean wFEngineNameDirtyFlag;
    
    /**
     * 工作流引擎标识
     */
    private String wFEngineId;

    @JsonIgnore
    private boolean wFEngineIdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 引擎类型
     */
    private String enginetype;

    @JsonIgnore
    private boolean enginetypeDirtyFlag;
    
    /**
     * 统一工作流标识
     */
    private String workflowId;

    @JsonIgnore
    private boolean workflowIdDirtyFlag;
    

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [工作流引擎名称]
     */
    @JsonProperty("wfenginename")
    public String getWFEngineName(){
        return this.wFEngineName ;
    }

    /**
     * 设置 [工作流引擎名称]
     */
    @JsonProperty("wfenginename")
    public void setWFEngineName(String  wFEngineName){
        this.wFEngineName = wFEngineName ;
        this.wFEngineNameDirtyFlag = true ;
    }

    /**
     * 获取 [工作流引擎名称]脏标记
     */
    @JsonIgnore
    public boolean getWFEngineNameDirtyFlag(){
        return this.wFEngineNameDirtyFlag ;
    }

    /**
     * 获取 [工作流引擎标识]
     */
    @JsonProperty("wfengineid")
    public String getWFEngineId(){
        return this.wFEngineId ;
    }

    /**
     * 设置 [工作流引擎标识]
     */
    @JsonProperty("wfengineid")
    public void setWFEngineId(String  wFEngineId){
        this.wFEngineId = wFEngineId ;
        this.wFEngineIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流引擎标识]脏标记
     */
    @JsonIgnore
    public boolean getWFEngineIdDirtyFlag(){
        return this.wFEngineIdDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [引擎类型]
     */
    @JsonProperty("enginetype")
    public String getEnginetype(){
        return this.enginetype ;
    }

    /**
     * 设置 [引擎类型]
     */
    @JsonProperty("enginetype")
    public void setEnginetype(String  enginetype){
        this.enginetype = enginetype ;
        this.enginetypeDirtyFlag = true ;
    }

    /**
     * 获取 [引擎类型]脏标记
     */
    @JsonIgnore
    public boolean getEnginetypeDirtyFlag(){
        return this.enginetypeDirtyFlag ;
    }

    /**
     * 获取 [统一工作流标识]
     */
    @JsonProperty("workflowid")
    public String getWorkflowId(){
        return this.workflowId ;
    }

    /**
     * 设置 [统一工作流标识]
     */
    @JsonProperty("workflowid")
    public void setWorkflowId(String  workflowId){
        this.workflowId = workflowId ;
        this.workflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [统一工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getWorkflowIdDirtyFlag(){
        return this.workflowIdDirtyFlag ;
    }



}
