package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[流程角色]
 */
public class WFRole implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 流程角色标识
     */
    private String wFRoleId;

    @JsonIgnore
    private boolean wFRoleIdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 流程角色名称
     */
    private String wFRoleName;

    @JsonIgnore
    private boolean wFRoleNameDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    

    /**
     * 获取 [流程角色标识]
     */
    @JsonProperty("wfroleid")
    public String getWFRoleId(){
        return this.wFRoleId ;
    }

    /**
     * 设置 [流程角色标识]
     */
    @JsonProperty("wfroleid")
    public void setWFRoleId(String  wFRoleId){
        this.wFRoleId = wFRoleId ;
        this.wFRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程角色标识]脏标记
     */
    @JsonIgnore
    public boolean getWFRoleIdDirtyFlag(){
        return this.wFRoleIdDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [流程角色名称]
     */
    @JsonProperty("wfrolename")
    public String getWFRoleName(){
        return this.wFRoleName ;
    }

    /**
     * 设置 [流程角色名称]
     */
    @JsonProperty("wfrolename")
    public void setWFRoleName(String  wFRoleName){
        this.wFRoleName = wFRoleName ;
        this.wFRoleNameDirtyFlag = true ;
    }

    /**
     * 获取 [流程角色名称]脏标记
     */
    @JsonIgnore
    public boolean getWFRoleNameDirtyFlag(){
        return this.wFRoleNameDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }



}
