package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[工作流步骤操作者]
 */
public class WFStepActor implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 父实例标识
     */
    private String parentInstId;

    @JsonIgnore
    private boolean parentInstIdDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 主实例标识
     */
    private String majorInstId;

    @JsonIgnore
    private boolean majorInstIdDirtyFlag;
    
    /**
     * 工作流步骤操作者标识
     */
    private String wFStepActorId;

    @JsonIgnore
    private boolean wFStepActorIdDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 完成时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp finishTime;

    @JsonIgnore
    private boolean finishTimeDirtyFlag;
    
    /**
     * 工作流步骤操作者名称
     */
    private String wFStepActorName;

    @JsonIgnore
    private boolean wFStepActorNameDirtyFlag;
    
    /**
     * 任务标识
     */
    private String taskId;

    @JsonIgnore
    private boolean taskIdDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 是否处理
     */
    private Integer isFinish;

    @JsonIgnore
    private boolean isFinishDirtyFlag;
    
    /**
     * 查看时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp readTime;

    @JsonIgnore
    private boolean readTimeDirtyFlag;
    
    /**
     * 只读
     */
    private Integer isReadOnly;

    @JsonIgnore
    private boolean isReadOnlyDirtyFlag;
    
    /**
     * 开始时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp startTime;

    @JsonIgnore
    private boolean startTimeDirtyFlag;
    
    /**
     * 工作流用户名称
     */
    private String wFUserName;

    @JsonIgnore
    private boolean wFUserNameDirtyFlag;
    
    /**
     * 工作流用户标识
     */
    private String wFUserId;

    @JsonIgnore
    private boolean wFUserIdDirtyFlag;
    
    /**
     * 工作流步骤标识
     */
    private String wFStepId;

    @JsonIgnore
    private boolean wFStepIdDirtyFlag;
    
    /**
     * 流程处理标识
     */
    private String pSWFProcessId;

    @JsonIgnore
    private boolean pSWFProcessIdDirtyFlag;
    
    /**
     * 工作流实例标识
     */
    private String wFInstanceId;

    @JsonIgnore
    private boolean wFInstanceIdDirtyFlag;
    
    /**
     * 业务流程版本标识
     */
    private String pSWFVersionId;

    @JsonIgnore
    private boolean pSWFVersionIdDirtyFlag;
    

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [父实例标识]
     */
    @JsonProperty("parentinstid")
    public String getParentInstId(){
        return this.parentInstId ;
    }

    /**
     * 设置 [父实例标识]
     */
    @JsonProperty("parentinstid")
    public void setParentInstId(String  parentInstId){
        this.parentInstId = parentInstId ;
        this.parentInstIdDirtyFlag = true ;
    }

    /**
     * 获取 [父实例标识]脏标记
     */
    @JsonIgnore
    public boolean getParentInstIdDirtyFlag(){
        return this.parentInstIdDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [主实例标识]
     */
    @JsonProperty("majorinstid")
    public String getMajorInstId(){
        return this.majorInstId ;
    }

    /**
     * 设置 [主实例标识]
     */
    @JsonProperty("majorinstid")
    public void setMajorInstId(String  majorInstId){
        this.majorInstId = majorInstId ;
        this.majorInstIdDirtyFlag = true ;
    }

    /**
     * 获取 [主实例标识]脏标记
     */
    @JsonIgnore
    public boolean getMajorInstIdDirtyFlag(){
        return this.majorInstIdDirtyFlag ;
    }

    /**
     * 获取 [工作流步骤操作者标识]
     */
    @JsonProperty("wfstepactorid")
    public String getWFStepActorId(){
        return this.wFStepActorId ;
    }

    /**
     * 设置 [工作流步骤操作者标识]
     */
    @JsonProperty("wfstepactorid")
    public void setWFStepActorId(String  wFStepActorId){
        this.wFStepActorId = wFStepActorId ;
        this.wFStepActorIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流步骤操作者标识]脏标记
     */
    @JsonIgnore
    public boolean getWFStepActorIdDirtyFlag(){
        return this.wFStepActorIdDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [完成时间]
     */
    @JsonProperty("finishtime")
    public Timestamp getFinishTime(){
        return this.finishTime ;
    }

    /**
     * 设置 [完成时间]
     */
    @JsonProperty("finishtime")
    public void setFinishTime(Timestamp  finishTime){
        this.finishTime = finishTime ;
        this.finishTimeDirtyFlag = true ;
    }

    /**
     * 获取 [完成时间]脏标记
     */
    @JsonIgnore
    public boolean getFinishTimeDirtyFlag(){
        return this.finishTimeDirtyFlag ;
    }

    /**
     * 获取 [工作流步骤操作者名称]
     */
    @JsonProperty("wfstepactorname")
    public String getWFStepActorName(){
        return this.wFStepActorName ;
    }

    /**
     * 设置 [工作流步骤操作者名称]
     */
    @JsonProperty("wfstepactorname")
    public void setWFStepActorName(String  wFStepActorName){
        this.wFStepActorName = wFStepActorName ;
        this.wFStepActorNameDirtyFlag = true ;
    }

    /**
     * 获取 [工作流步骤操作者名称]脏标记
     */
    @JsonIgnore
    public boolean getWFStepActorNameDirtyFlag(){
        return this.wFStepActorNameDirtyFlag ;
    }

    /**
     * 获取 [任务标识]
     */
    @JsonProperty("taskid")
    public String getTaskId(){
        return this.taskId ;
    }

    /**
     * 设置 [任务标识]
     */
    @JsonProperty("taskid")
    public void setTaskId(String  taskId){
        this.taskId = taskId ;
        this.taskIdDirtyFlag = true ;
    }

    /**
     * 获取 [任务标识]脏标记
     */
    @JsonIgnore
    public boolean getTaskIdDirtyFlag(){
        return this.taskIdDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [是否处理]
     */
    @JsonProperty("isfinish")
    public Integer getIsFinish(){
        return this.isFinish ;
    }

    /**
     * 设置 [是否处理]
     */
    @JsonProperty("isfinish")
    public void setIsFinish(Integer  isFinish){
        this.isFinish = isFinish ;
        this.isFinishDirtyFlag = true ;
    }

    /**
     * 获取 [是否处理]脏标记
     */
    @JsonIgnore
    public boolean getIsFinishDirtyFlag(){
        return this.isFinishDirtyFlag ;
    }

    /**
     * 获取 [查看时间]
     */
    @JsonProperty("readtime")
    public Timestamp getReadTime(){
        return this.readTime ;
    }

    /**
     * 设置 [查看时间]
     */
    @JsonProperty("readtime")
    public void setReadTime(Timestamp  readTime){
        this.readTime = readTime ;
        this.readTimeDirtyFlag = true ;
    }

    /**
     * 获取 [查看时间]脏标记
     */
    @JsonIgnore
    public boolean getReadTimeDirtyFlag(){
        return this.readTimeDirtyFlag ;
    }

    /**
     * 获取 [只读]
     */
    @JsonProperty("isreadonly")
    public Integer getIsReadOnly(){
        return this.isReadOnly ;
    }

    /**
     * 设置 [只读]
     */
    @JsonProperty("isreadonly")
    public void setIsReadOnly(Integer  isReadOnly){
        this.isReadOnly = isReadOnly ;
        this.isReadOnlyDirtyFlag = true ;
    }

    /**
     * 获取 [只读]脏标记
     */
    @JsonIgnore
    public boolean getIsReadOnlyDirtyFlag(){
        return this.isReadOnlyDirtyFlag ;
    }

    /**
     * 获取 [开始时间]
     */
    @JsonProperty("starttime")
    public Timestamp getStartTime(){
        return this.startTime ;
    }

    /**
     * 设置 [开始时间]
     */
    @JsonProperty("starttime")
    public void setStartTime(Timestamp  startTime){
        this.startTime = startTime ;
        this.startTimeDirtyFlag = true ;
    }

    /**
     * 获取 [开始时间]脏标记
     */
    @JsonIgnore
    public boolean getStartTimeDirtyFlag(){
        return this.startTimeDirtyFlag ;
    }

    /**
     * 获取 [工作流用户名称]
     */
    @JsonProperty("wfusername")
    public String getWFUserName(){
        return this.wFUserName ;
    }

    /**
     * 设置 [工作流用户名称]
     */
    @JsonProperty("wfusername")
    public void setWFUserName(String  wFUserName){
        this.wFUserName = wFUserName ;
        this.wFUserNameDirtyFlag = true ;
    }

    /**
     * 获取 [工作流用户名称]脏标记
     */
    @JsonIgnore
    public boolean getWFUserNameDirtyFlag(){
        return this.wFUserNameDirtyFlag ;
    }

    /**
     * 获取 [工作流用户标识]
     */
    @JsonProperty("wfuserid")
    public String getWFUserId(){
        return this.wFUserId ;
    }

    /**
     * 设置 [工作流用户标识]
     */
    @JsonProperty("wfuserid")
    public void setWFUserId(String  wFUserId){
        this.wFUserId = wFUserId ;
        this.wFUserIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流用户标识]脏标记
     */
    @JsonIgnore
    public boolean getWFUserIdDirtyFlag(){
        return this.wFUserIdDirtyFlag ;
    }

    /**
     * 获取 [工作流步骤标识]
     */
    @JsonProperty("wfstepid")
    public String getWFStepId(){
        return this.wFStepId ;
    }

    /**
     * 设置 [工作流步骤标识]
     */
    @JsonProperty("wfstepid")
    public void setWFStepId(String  wFStepId){
        this.wFStepId = wFStepId ;
        this.wFStepIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流步骤标识]脏标记
     */
    @JsonIgnore
    public boolean getWFStepIdDirtyFlag(){
        return this.wFStepIdDirtyFlag ;
    }

    /**
     * 获取 [流程处理标识]
     */
    @JsonProperty("pswfprocessid")
    public String getPSWFProcessId(){
        return this.pSWFProcessId ;
    }

    /**
     * 设置 [流程处理标识]
     */
    @JsonProperty("pswfprocessid")
    public void setPSWFProcessId(String  pSWFProcessId){
        this.pSWFProcessId = pSWFProcessId ;
        this.pSWFProcessIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcessIdDirtyFlag(){
        return this.pSWFProcessIdDirtyFlag ;
    }

    /**
     * 获取 [工作流实例标识]
     */
    @JsonProperty("wfinstanceid")
    public String getWFInstanceId(){
        return this.wFInstanceId ;
    }

    /**
     * 设置 [工作流实例标识]
     */
    @JsonProperty("wfinstanceid")
    public void setWFInstanceId(String  wFInstanceId){
        this.wFInstanceId = wFInstanceId ;
        this.wFInstanceIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流实例标识]脏标记
     */
    @JsonIgnore
    public boolean getWFInstanceIdDirtyFlag(){
        return this.wFInstanceIdDirtyFlag ;
    }

    /**
     * 获取 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public String getPSWFVersionId(){
        return this.pSWFVersionId ;
    }

    /**
     * 设置 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public void setPSWFVersionId(String  pSWFVersionId){
        this.pSWFVersionId = pSWFVersionId ;
        this.pSWFVersionIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionIdDirtyFlag(){
        return this.pSWFVersionIdDirtyFlag ;
    }



}
