package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.Entity;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface EntityFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/entities/{entity_id}")
    public Entity get(@PathVariable("entity_id") String entity_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/entities/{entity_id}/save")
    public Entity save(@PathVariable("entity_id") String entity_id, @RequestBody Entity entity) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/entities")
    public Entity create(@RequestBody Entity entity) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/entities/{entity_id}")
    public Boolean remove(@PathVariable("entity_id") String entity_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/entities/checkkey")
    public Boolean checkKey(@RequestBody Entity entity) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/entities/{entity_id}")
    public Entity update(@PathVariable("entity_id") String entity_id, @RequestBody Entity entity) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/entities/{entity_id}/getdraft")
    public Entity getDraft(@PathVariable("entity_id") String entity_id, @RequestBody Entity entity) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/entities/fetchdefault")
	public Page<Entity> fetchDefault(EntitySearchContext searchContext) ;
}
