package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSDEWF;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSDEWFFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psdewfs/{psdewf_id}/getdraft")
    public PSDEWF getDraft(@PathVariable("psdewf_id") String psdewf_id, @RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/psdewfs/{psdewf_id}")
    public PSDEWF update(@PathVariable("psdewf_id") String psdewf_id, @RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psdewfs/checkkey")
    public Boolean checkKey(@RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psdewfs/{psdewf_id}")
    public PSDEWF get(@PathVariable("psdewf_id") String psdewf_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psdewfs")
    public PSDEWF create(@RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/psdewfs/{psdewf_id}")
    public Boolean remove(@PathVariable("psdewf_id") String psdewf_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psdewfs/{psdewf_id}/save")
    public PSDEWF save(@PathVariable("psdewf_id") String psdewf_id, @RequestBody PSDEWF psdewf) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psdewfs/fetchdefault")
	public Page<PSDEWF> fetchDefault(PSDEWFSearchContext searchContext) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs/{psdewf_id}/getdraft")
    public PSDEWF getDraftByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("psdewf_id") String psdewf_id, @RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs/{psdewf_id}")
    public PSDEWF updateByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("psdewf_id") String psdewf_id, @RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs/checkkey")
    public Boolean checkKeyByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs/{psdewf_id}")
    public PSDEWF getByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("psdewf_id") String psdewf_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs")
    public PSDEWF createByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSDEWF psdewf) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs/{psdewf_id}")
    public Boolean removeByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("psdewf_id") String psdewf_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/psdewfs/{psdewf_id}/save")
    public PSDEWF saveByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("psdewf_id") String psdewf_id, @RequestBody PSDEWF psdewf) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psworkflows/{psworkflow_id}/psdewfs/fetchdefault")
	public Page<PSDEWF> fetchDefaultByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id , PSDEWFSearchContext searchContext) ;
}
