package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSDataEntity;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSDataEntityFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psdataentities/{psdataentity_id}/getdraft")
    public PSDataEntity getDraft(@PathVariable("psdataentity_id") String psdataentity_id, @RequestBody PSDataEntity psdataentity) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/psdataentities/{psdataentity_id}")
    public PSDataEntity update(@PathVariable("psdataentity_id") String psdataentity_id, @RequestBody PSDataEntity psdataentity) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/psdataentities/{psdataentity_id}")
    public Boolean remove(@PathVariable("psdataentity_id") String psdataentity_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psdataentities")
    public PSDataEntity create(@RequestBody PSDataEntity psdataentity) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psdataentities/{psdataentity_id}/save")
    public PSDataEntity save(@PathVariable("psdataentity_id") String psdataentity_id, @RequestBody PSDataEntity psdataentity) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psdataentities/{psdataentity_id}")
    public PSDataEntity get(@PathVariable("psdataentity_id") String psdataentity_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psdataentities/checkkey")
    public Boolean checkKey(@RequestBody PSDataEntity psdataentity) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psdataentities/fetchdefault")
	public Page<PSDataEntity> fetchDefault(PSDataEntitySearchContext searchContext) ;
}
