package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSSysApp;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSSysAppFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pssysapps/{pssysapp_id}")
    public PSSysApp get(@PathVariable("pssysapp_id") String pssysapp_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssysapps/{pssysapp_id}/save")
    public PSSysApp save(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssysapps")
    public PSSysApp create(@RequestBody PSSysApp pssysapp) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pssysapps/{pssysapp_id}/getdraft")
    public PSSysApp getDraft(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pssysapps/{pssysapp_id}")
    public Boolean remove(@PathVariable("pssysapp_id") String pssysapp_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssysapps/checkkey")
    public Boolean checkKey(@RequestBody PSSysApp pssysapp) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pssysapps/{pssysapp_id}")
    public PSSysApp update(@PathVariable("pssysapp_id") String pssysapp_id, @RequestBody PSSysApp pssysapp) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pssysapps/fetchdefault")
	public Page<PSSysApp> fetchDefault(PSSysAppSearchContext searchContext) ;
}
