package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSSysWFCat;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSSysWFCatFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pssyswfcats/{pssyswfcat_id}")
    public PSSysWFCat get(@PathVariable("pssyswfcat_id") String pssyswfcat_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssyswfcats/checkkey")
    public Boolean checkKey(@RequestBody PSSysWFCat pssyswfcat) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pssyswfcats/{pssyswfcat_id}")
    public PSSysWFCat update(@PathVariable("pssyswfcat_id") String pssyswfcat_id, @RequestBody PSSysWFCat pssyswfcat) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssyswfcats/{pssyswfcat_id}/save")
    public PSSysWFCat save(@PathVariable("pssyswfcat_id") String pssyswfcat_id, @RequestBody PSSysWFCat pssyswfcat) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssyswfcats")
    public PSSysWFCat create(@RequestBody PSSysWFCat pssyswfcat) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pssyswfcats/{pssyswfcat_id}/getdraft")
    public PSSysWFCat getDraft(@PathVariable("pssyswfcat_id") String pssyswfcat_id, @RequestBody PSSysWFCat pssyswfcat) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pssyswfcats/{pssyswfcat_id}")
    public Boolean remove(@PathVariable("pssyswfcat_id") String pssyswfcat_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pssyswfcats/fetchdefault")
	public Page<PSSysWFCat> fetchDefault(PSSysWFCatSearchContext searchContext) ;
}
