package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSSystem;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSSystemFeignClient {



	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pssystems/{pssystem_id}")
    public Boolean remove(@PathVariable("pssystem_id") String pssystem_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssystems/{pssystem_id}/save")
    public PSSystem save(@PathVariable("pssystem_id") String pssystem_id, @RequestBody PSSystem pssystem) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pssystems/{pssystem_id}")
    public PSSystem get(@PathVariable("pssystem_id") String pssystem_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssystems")
    public PSSystem create(@RequestBody PSSystem pssystem) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pssystems/{pssystem_id}")
    public PSSystem update(@PathVariable("pssystem_id") String pssystem_id, @RequestBody PSSystem pssystem) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pssystems/checkkey")
    public Boolean checkKey(@RequestBody PSSystem pssystem) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pssystems/{pssystem_id}/getdraft")
    public PSSystem getDraft(@PathVariable("pssystem_id") String pssystem_id, @RequestBody PSSystem pssystem) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pssystems/fetchdefault")
	public Page<PSSystem> fetchDefault(PSSystemSearchContext searchContext) ;
}
