package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFLink;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSWFLinkFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswflinks/checkkey")
    public Boolean checkKey(@RequestBody PSWFLink pswflink) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswflinks/{pswflink_id}")
    public Boolean remove(@PathVariable("pswflink_id") String pswflink_id) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswflinks/{pswflink_id}")
    public PSWFLink get(@PathVariable("pswflink_id") String pswflink_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswflinks/{pswflink_id}/save")
    public PSWFLink save(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswflinks")
    public PSWFLink create(@RequestBody PSWFLink pswflink) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswflinks/{pswflink_id}/getdraft")
    public PSWFLink getDraft(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswflinks/{pswflink_id}")
    public PSWFLink update(@PathVariable("pswflink_id") String pswflink_id, @RequestBody PSWFLink pswflink) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswflinks/fetchdefault")
	public Page<PSWFLink> fetchDefault(PSWFLinkSearchContext searchContext) ;
}
