package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFProcRole;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSWFProcRoleFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocroles")
    public PSWFProcRole create(@RequestBody PSWFProcRole pswfprocrole) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfprocroles/{pswfprocrole_id}/getdraft")
    public PSWFProcRole getDraft(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfprocroles/{pswfprocrole_id}")
    public Boolean remove(@PathVariable("pswfprocrole_id") String pswfprocrole_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocroles/checkkey")
    public Boolean checkKey(@RequestBody PSWFProcRole pswfprocrole) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfprocroles/{pswfprocrole_id}")
    public PSWFProcRole get(@PathVariable("pswfprocrole_id") String pswfprocrole_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocroles/{pswfprocrole_id}/save")
    public PSWFProcRole save(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfprocroles/{pswfprocrole_id}")
    public PSWFProcRole update(@PathVariable("pswfprocrole_id") String pswfprocrole_id, @RequestBody PSWFProcRole pswfprocrole) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfprocroles/fetchdefault")
	public Page<PSWFProcRole> fetchDefault(PSWFProcRoleSearchContext searchContext) ;
}
