package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFProcess;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSWFProcessFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocesses/checkkey")
    public Boolean checkKey(@RequestBody PSWFProcess pswfprocess) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfprocesses/{pswfprocess_id}")
    public PSWFProcess update(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocesses/{pswfprocess_id}/save")
    public PSWFProcess save(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfprocesses/{pswfprocess_id}")
    public Boolean remove(@PathVariable("pswfprocess_id") String pswfprocess_id) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfprocesses/{pswfprocess_id}/getdraft")
    public PSWFProcess getDraft(@PathVariable("pswfprocess_id") String pswfprocess_id, @RequestBody PSWFProcess pswfprocess) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfprocesses/{pswfprocess_id}")
    public PSWFProcess get(@PathVariable("pswfprocess_id") String pswfprocess_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfprocesses")
    public PSWFProcess create(@RequestBody PSWFProcess pswfprocess) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfprocesses/fetchdefault")
	public Page<PSWFProcess> fetchDefault(PSWFProcessSearchContext searchContext) ;
}
