package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWorkflow;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface PSWorkflowFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/save")
    public PSWorkflow save(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWorkflow psworkflow) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/psworkflows/{psworkflow_id}")
    public Boolean remove(@PathVariable("psworkflow_id") String psworkflow_id) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/psworkflows/{psworkflow_id}")
    public PSWorkflow update(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWorkflow psworkflow) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/checkkey")
    public Boolean checkKey(@RequestBody PSWorkflow psworkflow) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows")
    public PSWorkflow create(@RequestBody PSWorkflow psworkflow) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psworkflows/{psworkflow_id}/getdraft")
    public PSWorkflow getDraft(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWorkflow psworkflow) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psworkflows/{psworkflow_id}")
    public PSWorkflow get(@PathVariable("psworkflow_id") String psworkflow_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psworkflows/fetchcurorg")
	public Page<PSWorkflow> fetchCurOrg(PSWorkflowSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psworkflows/fetchcurorgdept")
	public Page<PSWorkflow> fetchCurOrgDept(PSWorkflowSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psworkflows/fetchdefault")
	public Page<PSWorkflow> fetchDefault(PSWorkflowSearchContext searchContext) ;
}
