package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFApp;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFAppFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfapps/checkkey")
    public Boolean checkKey(@RequestBody WFApp wfapp) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfapps/{wfapp_id}/getdraft")
    public WFApp getDraft(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfapps/{wfapp_id}")
    public WFApp update(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfapps/{wfapp_id}/save")
    public WFApp save(@PathVariable("wfapp_id") String wfapp_id, @RequestBody WFApp wfapp) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfapps/{wfapp_id}")
    public WFApp get(@PathVariable("wfapp_id") String wfapp_id) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfapps/{wfapp_id}")
    public Boolean remove(@PathVariable("wfapp_id") String wfapp_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfapps")
    public WFApp create(@RequestBody WFApp wfapp) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfapps/fetchdefault")
	public Page<WFApp> fetchDefault(WFAppSearchContext searchContext) ;
}
