package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFEngine;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFEngineFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfengines/{wfengine_id}/getdraft")
    public WFEngine getDraft(@PathVariable("wfengine_id") String wfengine_id, @RequestBody WFEngine wfengine) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfengines/checkkey")
    public Boolean checkKey(@RequestBody WFEngine wfengine) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfengines/{wfengine_id}")
    public WFEngine update(@PathVariable("wfengine_id") String wfengine_id, @RequestBody WFEngine wfengine) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfengines/{wfengine_id}")
    public Boolean remove(@PathVariable("wfengine_id") String wfengine_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfengines")
    public WFEngine create(@RequestBody WFEngine wfengine) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfengines/{wfengine_id}/save")
    public WFEngine save(@PathVariable("wfengine_id") String wfengine_id, @RequestBody WFEngine wfengine) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfengines/{wfengine_id}")
    public WFEngine get(@PathVariable("wfengine_id") String wfengine_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfengines/fetchdefault")
	public Page<WFEngine> fetchDefault(WFEngineSearchContext searchContext) ;
}
