package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFInstance;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFInstanceFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfinstances/{wfinstance_id}")
    public WFInstance get(@PathVariable("wfinstance_id") String wfinstance_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfinstances/checkkey")
    public Boolean checkKey(@RequestBody WFInstance wfinstance) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfinstances/{wfinstance_id}")
    public Boolean remove(@PathVariable("wfinstance_id") String wfinstance_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfinstances")
    public WFInstance create(@RequestBody WFInstance wfinstance) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfinstances/{wfinstance_id}/getdraft")
    public WFInstance getDraft(@PathVariable("wfinstance_id") String wfinstance_id, @RequestBody WFInstance wfinstance) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfinstances/{wfinstance_id}/save")
    public WFInstance save(@PathVariable("wfinstance_id") String wfinstance_id, @RequestBody WFInstance wfinstance) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfinstances/{wfinstance_id}")
    public WFInstance update(@PathVariable("wfinstance_id") String wfinstance_id, @RequestBody WFInstance wfinstance) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfinstances/fetchdefault")
	public Page<WFInstance> fetchDefault(WFInstanceSearchContext searchContext) ;
}
