package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFMode;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFModeFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfmodes/checkkey")
    public Boolean checkKey(@RequestBody WFMode wfmode) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfmodes/{wfmode_id}")
    public Boolean remove(@PathVariable("wfmode_id") String wfmode_id) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfmodes/{wfmode_id}")
    public WFMode get(@PathVariable("wfmode_id") String wfmode_id) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfmodes/{wfmode_id}")
    public WFMode update(@PathVariable("wfmode_id") String wfmode_id, @RequestBody WFMode wfmode) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfmodes/{wfmode_id}/getdraft")
    public WFMode getDraft(@PathVariable("wfmode_id") String wfmode_id, @RequestBody WFMode wfmode) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfmodes/{wfmode_id}/save")
    public WFMode save(@PathVariable("wfmode_id") String wfmode_id, @RequestBody WFMode wfmode) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfmodes")
    public WFMode create(@RequestBody WFMode wfmode) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfmodes/fetchdefault")
	public Page<WFMode> fetchDefault(WFModeSearchContext searchContext) ;
}
