package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFRole;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFRoleFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfroles/{wfrole_id}/getdraft")
    public WFRole getDraft(@PathVariable("wfrole_id") String wfrole_id, @RequestBody WFRole wfrole) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfroles/{wfrole_id}")
    public WFRole get(@PathVariable("wfrole_id") String wfrole_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfroles")
    public WFRole create(@RequestBody WFRole wfrole) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfroles/{wfrole_id}")
    public Boolean remove(@PathVariable("wfrole_id") String wfrole_id) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfroles/{wfrole_id}")
    public WFRole update(@PathVariable("wfrole_id") String wfrole_id, @RequestBody WFRole wfrole) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfroles/checkkey")
    public Boolean checkKey(@RequestBody WFRole wfrole) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfroles/{wfrole_id}/save")
    public WFRole save(@PathVariable("wfrole_id") String wfrole_id, @RequestBody WFRole wfrole) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfroles/fetchdefault")
	public Page<WFRole> fetchDefault(WFRoleSearchContext searchContext) ;
}
