package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFStepActor;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFStepActorFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfstepactors/checkkey")
    public Boolean checkKey(@RequestBody WFStepActor wfstepactor) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfstepactors/{wfstepactor_id}")
    public WFStepActor get(@PathVariable("wfstepactor_id") String wfstepactor_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfstepactors")
    public WFStepActor create(@RequestBody WFStepActor wfstepactor) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfstepactors/{wfstepactor_id}")
    public Boolean remove(@PathVariable("wfstepactor_id") String wfstepactor_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfstepactors/{wfstepactor_id}/save")
    public WFStepActor save(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfstepactors/{wfstepactor_id}")
    public WFStepActor update(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfstepactors/{wfstepactor_id}/getdraft")
    public WFStepActor getDraft(@PathVariable("wfstepactor_id") String wfstepactor_id, @RequestBody WFStepActor wfstepactor) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfstepactors/fetchdefault")
	public Page<WFStepActor> fetchDefault(WFStepActorSearchContext searchContext) ;
}
