package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFStepData;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFStepDataFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfstepdata")
    public WFStepData create(@RequestBody WFStepData wfstepdata) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfstepdata/{wfstepdata_id}")
    public WFStepData get(@PathVariable("wfstepdata_id") String wfstepdata_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfstepdata/checkkey")
    public Boolean checkKey(@RequestBody WFStepData wfstepdata) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfstepdata/{wfstepdata_id}")
    public WFStepData update(@PathVariable("wfstepdata_id") String wfstepdata_id, @RequestBody WFStepData wfstepdata) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfstepdata/{wfstepdata_id}")
    public Boolean remove(@PathVariable("wfstepdata_id") String wfstepdata_id) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfstepdata/{wfstepdata_id}/getdraft")
    public WFStepData getDraft(@PathVariable("wfstepdata_id") String wfstepdata_id, @RequestBody WFStepData wfstepdata) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfstepdata/{wfstepdata_id}/save")
    public WFStepData save(@PathVariable("wfstepdata_id") String wfstepdata_id, @RequestBody WFStepData wfstepdata) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfstepdata/fetchbybswfdata")
	public Page<WFStepData> fetchByBswfdata(WFStepDataSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfstepdata/fetchbybsdata")
	public Page<WFStepData> fetchByBsdata(WFStepDataSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfstepdata/fetchdefault")
	public Page<WFStepData> fetchDefault(WFStepDataSearchContext searchContext) ;
}
