package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFStep;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFStepFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfsteps/{wfstep_id}/getdraft")
    public WFStep getDraft(@PathVariable("wfstep_id") String wfstep_id, @RequestBody WFStep wfstep) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfsteps")
    public WFStep create(@RequestBody WFStep wfstep) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfsteps/{wfstep_id}/save")
    public WFStep save(@PathVariable("wfstep_id") String wfstep_id, @RequestBody WFStep wfstep) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfsteps/checkkey")
    public Boolean checkKey(@RequestBody WFStep wfstep) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfsteps/{wfstep_id}")
    public WFStep get(@PathVariable("wfstep_id") String wfstep_id) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfsteps/{wfstep_id}")
    public WFStep update(@PathVariable("wfstep_id") String wfstep_id, @RequestBody WFStep wfstep) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfsteps/{wfstep_id}")
    public Boolean remove(@PathVariable("wfstep_id") String wfstep_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfsteps/fetchdefault")
	public Page<WFStep> fetchDefault(WFStepSearchContext searchContext) ;
}
