package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.WFUser;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WFUserFeignClient {



	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfusers/{wfuser_id}")
    public WFUser update(@PathVariable("wfuser_id") String wfuser_id, @RequestBody WFUser wfuser) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfusers/{wfuser_id}")
    public Boolean remove(@PathVariable("wfuser_id") String wfuser_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfusers/{wfuser_id}/save")
    public WFUser save(@PathVariable("wfuser_id") String wfuser_id, @RequestBody WFUser wfuser) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfusers/{wfuser_id}/getdraft")
    public WFUser getDraft(@PathVariable("wfuser_id") String wfuser_id, @RequestBody WFUser wfuser) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfusers/checkkey")
    public Boolean checkKey(@RequestBody WFUser wfuser) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfusers")
    public WFUser create(@RequestBody WFUser wfuser) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfusers/{wfuser_id}")
    public WFUser get(@PathVariable("wfuser_id") String wfuser_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfusers/fetchdefault")
	public Page<WFUser> fetchDefault(WFUserSearchContext searchContext) ;
}
