package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.Workflow;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;


public interface WorkflowFeignClient {



	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/workflows/{workflow_id}/getdraft")
    public Workflow getDraft(@PathVariable("workflow_id") String workflow_id, @RequestBody Workflow workflow) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/workflows")
    public Workflow create(@RequestBody Workflow workflow) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/workflows/checkkey")
    public Boolean checkKey(@RequestBody Workflow workflow) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/workflows/{workflow_id}")
    public Workflow get(@PathVariable("workflow_id") String workflow_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/workflows/{workflow_id}/save")
    public Workflow save(@PathVariable("workflow_id") String workflow_id, @RequestBody Workflow workflow) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/workflows/{workflow_id}")
    public Boolean remove(@PathVariable("workflow_id") String workflow_id) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/workflows/{workflow_id}")
    public Workflow update(@PathVariable("workflow_id") String workflow_id, @RequestBody Workflow workflow) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/workflows/fetchdefault")
	public Page<Workflow> fetchDefault(WorkflowSearchContext searchContext) ;
}
