
package cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.service;

import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.openfeign.ribbon.LoadBalancerFeignClient;
import org.springframework.stereotype.Service;

import feign.Client;
import feign.Contract;
import feign.Feign;
import feign.codec.Decoder;
import feign.codec.Encoder;

import com.alibaba.fastjson.JSONObject;

import org.springframework.util.DigestUtils;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

import cn.ibizlab.r7.runtime.wf.util.feign.suport.SearchContextFeignEncode;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.domain.PSWFPROCSUBWF;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.filter.*;
import cn.ibizlab.r7.runtime.wf.admin.r7rt_wf.feign.PSWFPROCSUBWFFeignClient;
import cn.ibizlab.r7.runtime.wf.admin.AdminApplication.WFApiClientProperties;
import cn.ibizlab.r7.runtime.wf.util.feign.FeignRequestInterceptor;

@Service
public class PSWFPROCSUBWFService {

    PSWFPROCSUBWFFeignClient client;

    @Autowired
    public PSWFPROCSUBWFService(Decoder decoder, Encoder encoder, Client client, Contract contract, FeignRequestInterceptor feignRequestInterceptor,
                                    WFApiClientProperties wfapiClientProperties) {
        if (wfapiClientProperties.getServiceId()!=null) {
    		Feign.Builder nameBuilder = Feign.builder()
                    .client(client)
                    .encoder(new SearchContextFeignEncode(encoder))
                    .decoder(decoder)
                    .contract(contract)
                    .requestInterceptor(feignRequestInterceptor)
                    ;
        	this.client = nameBuilder.target(PSWFPROCSUBWFFeignClient.class,"http://" + wfapiClientProperties.getServiceId() + "/") ;
		} else if (wfapiClientProperties.getServiceUrl()!=null) {
			if (client instanceof LoadBalancerFeignClient) {
				client = ((LoadBalancerFeignClient) client).getDelegate();
			}
			Feign.Builder nameBuilder = Feign.builder()
                    .client(client)
                    .encoder(new SearchContextFeignEncode(encoder))
                    .decoder(decoder)
                    .contract(contract)
                    .requestInterceptor(feignRequestInterceptor)
                    ;
        	this.client = nameBuilder.target(PSWFPROCSUBWFFeignClient.class, "http://" + wfapiClientProperties.getServiceUrl() + "/") ;
		}
    }

	public PSWFPROCSUBWF create(PSWFPROCSUBWF pswfprocsubwf) {
        return client.create(pswfprocsubwf);
    }

    public boolean remove( String pswfprocsubwf_id) {
        return client.remove( pswfprocsubwf_id);
    }

    public PSWFPROCSUBWF save(String pswfprocsubwf_id, PSWFPROCSUBWF pswfprocsubwf) {
        return client.save(pswfprocsubwf_id, pswfprocsubwf);
    }

    public PSWFPROCSUBWF getDraft(String pswfprocsubwf_id, PSWFPROCSUBWF pswfprocsubwf) {
        return client.getDraft(pswfprocsubwf_id, pswfprocsubwf);
    }

    public PSWFPROCSUBWF update(String pswfprocsubwf_id, PSWFPROCSUBWF pswfprocsubwf) {
        return client.update(pswfprocsubwf_id, pswfprocsubwf);
    }

    public PSWFPROCSUBWF get( String pswfprocsubwf_id) {
        return client.get( pswfprocsubwf_id);
    }

    public boolean checkKey(PSWFPROCSUBWF pswfprocsubwf) {
        return client.checkKey(pswfprocsubwf);
    }

	public Page<PSWFPROCSUBWF> fetchDefault(PSWFPROCSUBWFSearchContext searchContext) {
        return client.fetchDefault(searchContext);
    }

}
