package cn.ibizlab.r7.runtime.wf.portal.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[工作流工作列表]
 */
public class WFWorklist implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 发起人
     */
    private String initiator;

    @JsonIgnore
    private boolean initiatorDirtyFlag;
    
    /**
     * 待办时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp workDate;

    @JsonIgnore
    private boolean workDateDirtyFlag;
    
    /**
     * 是否关闭
     */
    private Integer isclosed;

    @JsonIgnore
    private boolean isclosedDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 工作流工作列表标识
     */
    private String wFWorklistId;

    @JsonIgnore
    private boolean wFWorklistIdDirtyFlag;
    
    /**
     * 代办状态
     */
    private String worklistState;

    @JsonIgnore
    private boolean worklistStateDirtyFlag;
    
    /**
     * 待办信息
     */
    private String workInfo;

    @JsonIgnore
    private boolean workInfoDirtyFlag;
    
    /**
     * 处理环节
     */
    private String wFWorklistName;

    @JsonIgnore
    private boolean wFWorklistNameDirtyFlag;
    
    /**
     * 是否已读
     */
    private Integer isread;

    @JsonIgnore
    private boolean isreadDirtyFlag;
    
    /**
     * 逻辑名称
     */
    private String logicName;

    @JsonIgnore
    private boolean logicNameDirtyFlag;
    
    /**
     * 处理说明
     */
    private String memo;

    @JsonIgnore
    private boolean memoDirtyFlag;
    
    /**
     * 视图地址
     */
    private String viewUrl;

    @JsonIgnore
    private boolean viewUrlDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 流程模块标识
     */
    private String wFModuleId;

    @JsonIgnore
    private boolean wFModuleIdDirtyFlag;
    
    /**
     * 处理时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp finishDate;

    @JsonIgnore
    private boolean finishDateDirtyFlag;
    
    /**
     * 已处理
     */
    private Integer done;

    @JsonIgnore
    private boolean doneDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 紧急程度
     */
    private String urgency;

    @JsonIgnore
    private boolean urgencyDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 当前步骤
     */
    private String wFStep;

    @JsonIgnore
    private boolean wFStepDirtyFlag;
    
    /**
     * 流程数据标识
     */
    private String wFDataId;

    @JsonIgnore
    private boolean wFDataIdDirtyFlag;
    
    /**
     * 引擎工作列表标识
     */
    private String wfengineworklistid;

    @JsonIgnore
    private boolean wfengineworklistidDirtyFlag;
    
    /**
     * 部门名称
     */
    private String orgDeptName;

    @JsonIgnore
    private boolean orgDeptNameDirtyFlag;
    
    /**
     * 工作流用户标识
     */
    private String wFUserId;

    @JsonIgnore
    private boolean wFUserIdDirtyFlag;
    
    /**
     * 平台流程角色标识
     */
    private String pSWFRoleId;

    @JsonIgnore
    private boolean pSWFRoleIdDirtyFlag;
    
    /**
     * 部门标识
     */
    private String orgDeptId;

    @JsonIgnore
    private boolean orgDeptIdDirtyFlag;
    
    /**
     * 部门用户标识
     */
    private String orgDeptUserId;

    @JsonIgnore
    private boolean orgDeptUserIdDirtyFlag;
    
    /**
     * 工作流实例标识
     */
    private String wFInstanceId;

    @JsonIgnore
    private boolean wFInstanceIdDirtyFlag;
    
    /**
     * 组织标识
     */
    private String orgId;

    @JsonIgnore
    private boolean orgIdDirtyFlag;
    

    /**
     * 获取 [发起人]
     */
    @JsonProperty("initiator")
    public String getInitiator(){
        return this.initiator ;
    }

    /**
     * 设置 [发起人]
     */
    @JsonProperty("initiator")
    public void setInitiator(String  initiator){
        this.initiator = initiator ;
        this.initiatorDirtyFlag = true ;
    }

    /**
     * 获取 [发起人]脏标记
     */
    @JsonIgnore
    public boolean getInitiatorDirtyFlag(){
        return this.initiatorDirtyFlag ;
    }

    /**
     * 获取 [待办时间]
     */
    @JsonProperty("workdate")
    public Timestamp getWorkDate(){
        return this.workDate ;
    }

    /**
     * 设置 [待办时间]
     */
    @JsonProperty("workdate")
    public void setWorkDate(Timestamp  workDate){
        this.workDate = workDate ;
        this.workDateDirtyFlag = true ;
    }

    /**
     * 获取 [待办时间]脏标记
     */
    @JsonIgnore
    public boolean getWorkDateDirtyFlag(){
        return this.workDateDirtyFlag ;
    }

    /**
     * 获取 [是否关闭]
     */
    @JsonProperty("isclosed")
    public Integer getIsclosed(){
        return this.isclosed ;
    }

    /**
     * 设置 [是否关闭]
     */
    @JsonProperty("isclosed")
    public void setIsclosed(Integer  isclosed){
        this.isclosed = isclosed ;
        this.isclosedDirtyFlag = true ;
    }

    /**
     * 获取 [是否关闭]脏标记
     */
    @JsonIgnore
    public boolean getIsclosedDirtyFlag(){
        return this.isclosedDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [工作流工作列表标识]
     */
    @JsonProperty("wfworklistid")
    public String getWFWorklistId(){
        return this.wFWorklistId ;
    }

    /**
     * 设置 [工作流工作列表标识]
     */
    @JsonProperty("wfworklistid")
    public void setWFWorklistId(String  wFWorklistId){
        this.wFWorklistId = wFWorklistId ;
        this.wFWorklistIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流工作列表标识]脏标记
     */
    @JsonIgnore
    public boolean getWFWorklistIdDirtyFlag(){
        return this.wFWorklistIdDirtyFlag ;
    }

    /**
     * 获取 [代办状态]
     */
    @JsonProperty("workliststate")
    public String getWorklistState(){
        return this.worklistState ;
    }

    /**
     * 设置 [代办状态]
     */
    @JsonProperty("workliststate")
    public void setWorklistState(String  worklistState){
        this.worklistState = worklistState ;
        this.worklistStateDirtyFlag = true ;
    }

    /**
     * 获取 [代办状态]脏标记
     */
    @JsonIgnore
    public boolean getWorklistStateDirtyFlag(){
        return this.worklistStateDirtyFlag ;
    }

    /**
     * 获取 [待办信息]
     */
    @JsonProperty("workinfo")
    public String getWorkInfo(){
        return this.workInfo ;
    }

    /**
     * 设置 [待办信息]
     */
    @JsonProperty("workinfo")
    public void setWorkInfo(String  workInfo){
        this.workInfo = workInfo ;
        this.workInfoDirtyFlag = true ;
    }

    /**
     * 获取 [待办信息]脏标记
     */
    @JsonIgnore
    public boolean getWorkInfoDirtyFlag(){
        return this.workInfoDirtyFlag ;
    }

    /**
     * 获取 [处理环节]
     */
    @JsonProperty("wfworklistname")
    public String getWFWorklistName(){
        return this.wFWorklistName ;
    }

    /**
     * 设置 [处理环节]
     */
    @JsonProperty("wfworklistname")
    public void setWFWorklistName(String  wFWorklistName){
        this.wFWorklistName = wFWorklistName ;
        this.wFWorklistNameDirtyFlag = true ;
    }

    /**
     * 获取 [处理环节]脏标记
     */
    @JsonIgnore
    public boolean getWFWorklistNameDirtyFlag(){
        return this.wFWorklistNameDirtyFlag ;
    }

    /**
     * 获取 [是否已读]
     */
    @JsonProperty("isread")
    public Integer getIsread(){
        return this.isread ;
    }

    /**
     * 设置 [是否已读]
     */
    @JsonProperty("isread")
    public void setIsread(Integer  isread){
        this.isread = isread ;
        this.isreadDirtyFlag = true ;
    }

    /**
     * 获取 [是否已读]脏标记
     */
    @JsonIgnore
    public boolean getIsreadDirtyFlag(){
        return this.isreadDirtyFlag ;
    }

    /**
     * 获取 [逻辑名称]
     */
    @JsonProperty("logicname")
    public String getLogicName(){
        return this.logicName ;
    }

    /**
     * 设置 [逻辑名称]
     */
    @JsonProperty("logicname")
    public void setLogicName(String  logicName){
        this.logicName = logicName ;
        this.logicNameDirtyFlag = true ;
    }

    /**
     * 获取 [逻辑名称]脏标记
     */
    @JsonIgnore
    public boolean getLogicNameDirtyFlag(){
        return this.logicNameDirtyFlag ;
    }

    /**
     * 获取 [处理说明]
     */
    @JsonProperty("memo")
    public String getMemo(){
        return this.memo ;
    }

    /**
     * 设置 [处理说明]
     */
    @JsonProperty("memo")
    public void setMemo(String  memo){
        this.memo = memo ;
        this.memoDirtyFlag = true ;
    }

    /**
     * 获取 [处理说明]脏标记
     */
    @JsonIgnore
    public boolean getMemoDirtyFlag(){
        return this.memoDirtyFlag ;
    }

    /**
     * 获取 [视图地址]
     */
    @JsonProperty("viewurl")
    public String getViewUrl(){
        return this.viewUrl ;
    }

    /**
     * 设置 [视图地址]
     */
    @JsonProperty("viewurl")
    public void setViewUrl(String  viewUrl){
        this.viewUrl = viewUrl ;
        this.viewUrlDirtyFlag = true ;
    }

    /**
     * 获取 [视图地址]脏标记
     */
    @JsonIgnore
    public boolean getViewUrlDirtyFlag(){
        return this.viewUrlDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [流程模块标识]
     */
    @JsonProperty("wfmoduleid")
    public String getWFModuleId(){
        return this.wFModuleId ;
    }

    /**
     * 设置 [流程模块标识]
     */
    @JsonProperty("wfmoduleid")
    public void setWFModuleId(String  wFModuleId){
        this.wFModuleId = wFModuleId ;
        this.wFModuleIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程模块标识]脏标记
     */
    @JsonIgnore
    public boolean getWFModuleIdDirtyFlag(){
        return this.wFModuleIdDirtyFlag ;
    }

    /**
     * 获取 [处理时间]
     */
    @JsonProperty("finishdate")
    public Timestamp getFinishDate(){
        return this.finishDate ;
    }

    /**
     * 设置 [处理时间]
     */
    @JsonProperty("finishdate")
    public void setFinishDate(Timestamp  finishDate){
        this.finishDate = finishDate ;
        this.finishDateDirtyFlag = true ;
    }

    /**
     * 获取 [处理时间]脏标记
     */
    @JsonIgnore
    public boolean getFinishDateDirtyFlag(){
        return this.finishDateDirtyFlag ;
    }

    /**
     * 获取 [已处理]
     */
    @JsonProperty("done")
    public Integer getDone(){
        return this.done ;
    }

    /**
     * 设置 [已处理]
     */
    @JsonProperty("done")
    public void setDone(Integer  done){
        this.done = done ;
        this.doneDirtyFlag = true ;
    }

    /**
     * 获取 [已处理]脏标记
     */
    @JsonIgnore
    public boolean getDoneDirtyFlag(){
        return this.doneDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [紧急程度]
     */
    @JsonProperty("urgency")
    public String getUrgency(){
        return this.urgency ;
    }

    /**
     * 设置 [紧急程度]
     */
    @JsonProperty("urgency")
    public void setUrgency(String  urgency){
        this.urgency = urgency ;
        this.urgencyDirtyFlag = true ;
    }

    /**
     * 获取 [紧急程度]脏标记
     */
    @JsonIgnore
    public boolean getUrgencyDirtyFlag(){
        return this.urgencyDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [当前步骤]
     */
    @JsonProperty("wfstep")
    public String getWFStep(){
        return this.wFStep ;
    }

    /**
     * 设置 [当前步骤]
     */
    @JsonProperty("wfstep")
    public void setWFStep(String  wFStep){
        this.wFStep = wFStep ;
        this.wFStepDirtyFlag = true ;
    }

    /**
     * 获取 [当前步骤]脏标记
     */
    @JsonIgnore
    public boolean getWFStepDirtyFlag(){
        return this.wFStepDirtyFlag ;
    }

    /**
     * 获取 [流程数据标识]
     */
    @JsonProperty("wfdataid")
    public String getWFDataId(){
        return this.wFDataId ;
    }

    /**
     * 设置 [流程数据标识]
     */
    @JsonProperty("wfdataid")
    public void setWFDataId(String  wFDataId){
        this.wFDataId = wFDataId ;
        this.wFDataIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程数据标识]脏标记
     */
    @JsonIgnore
    public boolean getWFDataIdDirtyFlag(){
        return this.wFDataIdDirtyFlag ;
    }

    /**
     * 获取 [引擎工作列表标识]
     */
    @JsonProperty("wfengineworklistid")
    public String getWfengineworklistid(){
        return this.wfengineworklistid ;
    }

    /**
     * 设置 [引擎工作列表标识]
     */
    @JsonProperty("wfengineworklistid")
    public void setWfengineworklistid(String  wfengineworklistid){
        this.wfengineworklistid = wfengineworklistid ;
        this.wfengineworklistidDirtyFlag = true ;
    }

    /**
     * 获取 [引擎工作列表标识]脏标记
     */
    @JsonIgnore
    public boolean getWfengineworklistidDirtyFlag(){
        return this.wfengineworklistidDirtyFlag ;
    }

    /**
     * 获取 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public String getOrgDeptName(){
        return this.orgDeptName ;
    }

    /**
     * 设置 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public void setOrgDeptName(String  orgDeptName){
        this.orgDeptName = orgDeptName ;
        this.orgDeptNameDirtyFlag = true ;
    }

    /**
     * 获取 [部门名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptNameDirtyFlag(){
        return this.orgDeptNameDirtyFlag ;
    }

    /**
     * 获取 [工作流用户标识]
     */
    @JsonProperty("wfuserid")
    public String getWFUserId(){
        return this.wFUserId ;
    }

    /**
     * 设置 [工作流用户标识]
     */
    @JsonProperty("wfuserid")
    public void setWFUserId(String  wFUserId){
        this.wFUserId = wFUserId ;
        this.wFUserIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流用户标识]脏标记
     */
    @JsonIgnore
    public boolean getWFUserIdDirtyFlag(){
        return this.wFUserIdDirtyFlag ;
    }

    /**
     * 获取 [平台流程角色标识]
     */
    @JsonProperty("pswfroleid")
    public String getPSWFRoleId(){
        return this.pSWFRoleId ;
    }

    /**
     * 设置 [平台流程角色标识]
     */
    @JsonProperty("pswfroleid")
    public void setPSWFRoleId(String  pSWFRoleId){
        this.pSWFRoleId = pSWFRoleId ;
        this.pSWFRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFRoleIdDirtyFlag(){
        return this.pSWFRoleIdDirtyFlag ;
    }

    /**
     * 获取 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public String getOrgDeptId(){
        return this.orgDeptId ;
    }

    /**
     * 设置 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public void setOrgDeptId(String  orgDeptId){
        this.orgDeptId = orgDeptId ;
        this.orgDeptIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptIdDirtyFlag(){
        return this.orgDeptIdDirtyFlag ;
    }

    /**
     * 获取 [部门用户标识]
     */
    @JsonProperty("orgdeptuserid")
    public String getOrgDeptUserId(){
        return this.orgDeptUserId ;
    }

    /**
     * 设置 [部门用户标识]
     */
    @JsonProperty("orgdeptuserid")
    public void setOrgDeptUserId(String  orgDeptUserId){
        this.orgDeptUserId = orgDeptUserId ;
        this.orgDeptUserIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门用户标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptUserIdDirtyFlag(){
        return this.orgDeptUserIdDirtyFlag ;
    }

    /**
     * 获取 [工作流实例标识]
     */
    @JsonProperty("wfinstanceid")
    public String getWFInstanceId(){
        return this.wFInstanceId ;
    }

    /**
     * 设置 [工作流实例标识]
     */
    @JsonProperty("wfinstanceid")
    public void setWFInstanceId(String  wFInstanceId){
        this.wFInstanceId = wFInstanceId ;
        this.wFInstanceIdDirtyFlag = true ;
    }

    /**
     * 获取 [工作流实例标识]脏标记
     */
    @JsonIgnore
    public boolean getWFInstanceIdDirtyFlag(){
        return this.wFInstanceIdDirtyFlag ;
    }

    /**
     * 获取 [组织标识]
     */
    @JsonProperty("orgid")
    public String getOrgId(){
        return this.orgId ;
    }

    /**
     * 设置 [组织标识]
     */
    @JsonProperty("orgid")
    public void setOrgId(String  orgId){
        this.orgId = orgId ;
        this.orgIdDirtyFlag = true ;
    }

    /**
     * 获取 [组织标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgIdDirtyFlag(){
        return this.orgIdDirtyFlag ;
    }



}
