package cn.ibizlab.r7.runtime.wf.portal.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.portal.r7rt_wf.domain.WFWorklist;
import cn.ibizlab.r7.runtime.wf.portal.r7rt_wf.filter.*;


public interface WFWorklistFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfworklists/checkkey")
    public Boolean checkKey(@RequestBody WFWorklist wfworklist) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfworklists/{wfworklist_id}/getdraft")
    public WFWorklist getDraft(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/wfworklists/{wfworklist_id}")
    public WFWorklist update(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/wfworklists/{wfworklist_id}")
    public Boolean remove(@PathVariable("wfworklist_id") String wfworklist_id) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/wfworklists/{wfworklist_id}")
    public WFWorklist get(@PathVariable("wfworklist_id") String wfworklist_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfworklists/{wfworklist_id}/save")
    public WFWorklist save(@PathVariable("wfworklist_id") String wfworklist_id, @RequestBody WFWorklist wfworklist) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/wfworklists")
    public WFWorklist create(@RequestBody WFWorklist wfworklist) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfworklists/fetchdefault")
	public Page<WFWorklist> fetchDefault(WFWorklistSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfworklists/fetchdonetask")
	public Page<WFWorklist> fetchDoneTask(WFWorklistSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/wfworklists/fetchtodotask")
	public Page<WFWorklist> fetchTodoTask(WFWorklistSearchContext searchContext) ;
}
