package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.service.PSWFRoleService;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain.PSWFRole;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWFRoleController {
	@Autowired
    PSWFRoleService pswfroleservice;


	@RequestMapping(method = RequestMethod.POST, value = "/pswfroles/checkkey")
    @PreAuthorize("@pswfrole_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWFRole pswfrole) {
        boolean b = pswfroleservice.checkKey(pswfrole);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswfroles/{pswfrole_id}")
    @PreAuthorize("@pswfrole_pms.check(#pswfrole_id,'UPDATE')")
    public ResponseEntity<PSWFRole> update(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) {
        PSWFRole pswfrole2 = pswfroleservice.update(pswfrole_id, pswfrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfrole2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pswfroles/{pswfrole_id}")
    @PreAuthorize("@pswfrole_pms.check(#pswfrole_id,'UPDATE')")
    public ResponseEntity<PSWFRole> api_update(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) {
        PSWFRole pswfrole2 = pswfroleservice.update(pswfrole_id, pswfrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfrole2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfroles/{pswfrole_id}")
    @PreAuthorize("@pswfrole_pms.check(#pswfrole_id,'READ')")
    public ResponseEntity<PSWFRole> get(@PathVariable("pswfrole_id") String pswfrole_id) {
        PSWFRole pswfrole = pswfroleservice.get( pswfrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswfrole);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfroles/getdraft")
    @PreAuthorize("@pswfrole_pms.check('CREATE')")
    public ResponseEntity<PSWFRole> getDraft() {
        //PSWFRole pswfrole = pswfroleservice.getDraft( pswfrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFRole());
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswfroles/{pswfrole_id}")
    @PreAuthorize("@pswfrole_pms.check(#pswfrole_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pswfrole_id") String pswfrole_id) {
        boolean b = pswfroleservice.remove( pswfrole_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfroles")
    @PreAuthorize("@pswfrole_pms.check('CREATE')")
    public ResponseEntity<PSWFRole> create(@RequestBody PSWFRole pswfrole) {
        PSWFRole pswfrole2 = pswfroleservice.create(pswfrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfrole2);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfroles/{pswfrole_id}/save")
    @PreAuthorize("@pswfrole_pms.check(#pswfrole_id,'')")
    public ResponseEntity<PSWFRole> save(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) {
        PSWFRole pswfrole2 = pswfroleservice.save(pswfrole_id, pswfrole);
        return ResponseEntity.status(HttpStatus.OK).body(pswfrole2);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfroles/fetchcurorg")
    @PreAuthorize("@pswfrole_pms.check('READ')")
	public ResponseEntity<List<PSWFRole>> fetchCurOrg(PSWFRoleSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFRole> page = pswfroleservice.fetchCurOrg(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfroles/fetchcurorgdept")
    @PreAuthorize("@pswfrole_pms.check('READ')")
	public ResponseEntity<List<PSWFRole>> fetchCurOrgDept(PSWFRoleSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFRole> page = pswfroleservice.fetchCurOrgDept(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfroles/fetchdefault")
    @PreAuthorize("@pswfrole_pms.check('READ')")
	public ResponseEntity<List<PSWFRole>> fetchDefault(PSWFRoleSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFRole> page = pswfroleservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


    public ResponseEntity<PSWFRole> regist(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) {
        return null;
    }


}
