package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.service.PSWFRoleDetailService;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain.PSWFRoleDetail;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.filter.*;

@RestController
@RequestMapping(value = "")
public class PSWFRoleDetailController {
	@Autowired
    PSWFRoleDetailService pswfroledetailservice;


	@RequestMapping(method = RequestMethod.POST, value = "/pswfroledetails/{pswfroledetail_id}/save")
    @PreAuthorize("@pswfroledetail_pms.check(#pswfroledetail_id,'')")
    public ResponseEntity<PSWFRoleDetail> save(@PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.save(pswfroledetail_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.check(#pswfroledetail_id,'UPDATE')")
    public ResponseEntity<PSWFRoleDetail> update(@PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.update(pswfroledetail_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/api/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.check(#pswfroledetail_id,'UPDATE')")
    public ResponseEntity<PSWFRoleDetail> api_update(@PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.update(pswfroledetail_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.check(#pswfroledetail_id,'READ')")
    public ResponseEntity<PSWFRoleDetail> get(@PathVariable("pswfroledetail_id") String pswfroledetail_id) {
        PSWFRoleDetail pswfroledetail = pswfroledetailservice.get( pswfroledetail_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfroledetails/checkkey")
    @PreAuthorize("@pswfroledetail_pms.check('')")
    public ResponseEntity<Boolean> checkKey(@RequestBody PSWFRoleDetail pswfroledetail) {
        boolean b = pswfroledetailservice.checkKey(pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfroledetails")
    @PreAuthorize("@pswfroledetail_pms.check('CREATE')")
    public ResponseEntity<PSWFRoleDetail> create(@RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.create(pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfroledetails/getdraft")
    @PreAuthorize("@pswfroledetail_pms.check('CREATE')")
    public ResponseEntity<PSWFRoleDetail> getDraft() {
        //PSWFRoleDetail pswfroledetail = pswfroledetailservice.getDraft( pswfroledetail_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFRoleDetail());
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.check(#pswfroledetail_id,'DELETE')")
    public ResponseEntity<Boolean> remove(@PathVariable("pswfroledetail_id") String pswfroledetail_id) {
        boolean b = pswfroledetailservice.remove( pswfroledetail_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfroledetails/fetchdefault")
    @PreAuthorize("@pswfroledetail_pms.check('READ')")
	public ResponseEntity<List<PSWFRoleDetail>> fetchDefault(PSWFRoleDetailSearchContext searchContext,Pageable pageable) {
        
        Page<PSWFRoleDetail> page = pswfroledetailservice.fetchDefault(searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


	@RequestMapping(method = RequestMethod.POST, value = "/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}/save")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,#pswfroledetail_id,'')")
    public ResponseEntity<PSWFRoleDetail> saveByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.saveByPSWFRole(pswfrole_id, pswfroledetail_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.PUT, value = "/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,#pswfroledetail_id,'UPDATE')")
    public ResponseEntity<PSWFRoleDetail> updateByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.updateByPSWFRole(pswfrole_id, pswfroledetail_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

    @RequestMapping(method = RequestMethod.PUT, value = "/api/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,#pswfroledetail_id,'UPDATE')")
    public ResponseEntity<PSWFRoleDetail> api_updateByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.updateByPSWFRole(pswfrole_id, pswfroledetail_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,#pswfroledetail_id,'READ')")
    public ResponseEntity<PSWFRoleDetail> getByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id) {
        PSWFRoleDetail pswfroledetail = pswfroledetailservice.getByPSWFRole(pswfrole_id,  pswfroledetail_id);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfroles/{pswfrole_id}/pswfroledetails/checkkey")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,'')")
    public ResponseEntity<Boolean> checkKeyByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        boolean b = pswfroledetailservice.checkKeyByPSWFRole(pswfrole_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

	@RequestMapping(method = RequestMethod.POST, value = "/pswfroles/{pswfrole_id}/pswfroledetails")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,'CREATE')")
    public ResponseEntity<PSWFRoleDetail> createByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRoleDetail pswfroledetail) {
        PSWFRoleDetail pswfroledetail2 = pswfroledetailservice.createByPSWFRole(pswfrole_id, pswfroledetail);
        return ResponseEntity.status(HttpStatus.OK).body(pswfroledetail2);
    }

	@RequestMapping(method = RequestMethod.GET, value = "/pswfroles/{pswfrole_id}/pswfroledetails/getdraft")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,'CREATE')")
    public ResponseEntity<PSWFRoleDetail> getDraftByPSWFRole() {
        //PSWFRoleDetail pswfroledetail = pswfroledetailservice.getDraftByPSWFRole(pswfrole_id,  pswfroledetail_id);
        return ResponseEntity.status(HttpStatus.OK).body(new PSWFRoleDetail());
    }

	@RequestMapping(method = RequestMethod.DELETE, value = "/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,#pswfroledetail_id,'DELETE')")
    public ResponseEntity<Boolean> removeByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id) {
        boolean b = pswfroledetailservice.removeByPSWFRole(pswfrole_id,  pswfroledetail_id);
        return ResponseEntity.status(HttpStatus.OK).body(b);
    }

    @RequestMapping(method= RequestMethod.GET , value="/pswfroles/{pswfrole_id}/pswfroledetails/fetchdefault")
    @PreAuthorize("@pswfroledetail_pms.checkByPSWFRole(#pswfrole_id,'READ')")
	public ResponseEntity<List<PSWFRoleDetail>> fetchDefaultByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id,PSWFRoleDetailSearchContext searchContext,Pageable pageable) {
        searchContext.setN_pswfroleid_eq(pswfrole_id);
        Page<PSWFRoleDetail> page = pswfroledetailservice.fetchDefaultByPSWFRole(pswfrole_id , searchContext);
        return ResponseEntity.status(HttpStatus.OK)
                .header("x-page", String.valueOf(pageable.getPageNumber()))
        		.header("x-per-page", String.valueOf(pageable.getPageSize()))
        		.header("x-total", String.valueOf(page.getTotalElements()))
        		.body(page.getContent());
    }


}
