package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[部门流程版本]
 */
public class OrgDeptWFVer implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 部门流程版本名称
     */
    private String orgDeptWFVerName;

    @JsonIgnore
    private boolean orgDeptWFVerNameDirtyFlag;
    
    /**
     * 部门流程版本标识
     */
    private String orgDeptWFVerId;

    @JsonIgnore
    private boolean orgDeptWFVerIdDirtyFlag;
    
    /**
     * 开始时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp startTime;

    @JsonIgnore
    private boolean startTimeDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 结束时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp endtime;

    @JsonIgnore
    private boolean endtimeDirtyFlag;
    
    /**
     * 部门名称
     */
    private String orgDeptName;

    @JsonIgnore
    private boolean orgDeptNameDirtyFlag;
    
    /**
     * 业务流程版本名称
     */
    private String pSWFVersionName;

    @JsonIgnore
    private boolean pSWFVersionNameDirtyFlag;
    
    /**
     * 业务工作流名称
     */
    private String pSWFWorkflowName;

    @JsonIgnore
    private boolean pSWFWorkflowNameDirtyFlag;
    
    /**
     * 部门标识
     */
    private String orgDeptId;

    @JsonIgnore
    private boolean orgDeptIdDirtyFlag;
    
    /**
     * 业务工作流标识
     */
    private String pSWorkflowId;

    @JsonIgnore
    private boolean pSWorkflowIdDirtyFlag;
    
    /**
     * 业务流程版本标识
     */
    private String pSWFVersionId;

    @JsonIgnore
    private boolean pSWFVersionIdDirtyFlag;
    

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [部门流程版本名称]
     */
    @JsonProperty("orgdeptwfvername")
    public String getOrgDeptWFVerName(){
        return this.orgDeptWFVerName ;
    }

    /**
     * 设置 [部门流程版本名称]
     */
    @JsonProperty("orgdeptwfvername")
    public void setOrgDeptWFVerName(String  orgDeptWFVerName){
        this.orgDeptWFVerName = orgDeptWFVerName ;
        this.orgDeptWFVerNameDirtyFlag = true ;
    }

    /**
     * 获取 [部门流程版本名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptWFVerNameDirtyFlag(){
        return this.orgDeptWFVerNameDirtyFlag ;
    }

    /**
     * 获取 [部门流程版本标识]
     */
    @JsonProperty("orgdeptwfverid")
    public String getOrgDeptWFVerId(){
        return this.orgDeptWFVerId ;
    }

    /**
     * 设置 [部门流程版本标识]
     */
    @JsonProperty("orgdeptwfverid")
    public void setOrgDeptWFVerId(String  orgDeptWFVerId){
        this.orgDeptWFVerId = orgDeptWFVerId ;
        this.orgDeptWFVerIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门流程版本标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptWFVerIdDirtyFlag(){
        return this.orgDeptWFVerIdDirtyFlag ;
    }

    /**
     * 获取 [开始时间]
     */
    @JsonProperty("starttime")
    public Timestamp getStartTime(){
        return this.startTime ;
    }

    /**
     * 设置 [开始时间]
     */
    @JsonProperty("starttime")
    public void setStartTime(Timestamp  startTime){
        this.startTime = startTime ;
        this.startTimeDirtyFlag = true ;
    }

    /**
     * 获取 [开始时间]脏标记
     */
    @JsonIgnore
    public boolean getStartTimeDirtyFlag(){
        return this.startTimeDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [结束时间]
     */
    @JsonProperty("endtime")
    public Timestamp getEndtime(){
        return this.endtime ;
    }

    /**
     * 设置 [结束时间]
     */
    @JsonProperty("endtime")
    public void setEndtime(Timestamp  endtime){
        this.endtime = endtime ;
        this.endtimeDirtyFlag = true ;
    }

    /**
     * 获取 [结束时间]脏标记
     */
    @JsonIgnore
    public boolean getEndtimeDirtyFlag(){
        return this.endtimeDirtyFlag ;
    }

    /**
     * 获取 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public String getOrgDeptName(){
        return this.orgDeptName ;
    }

    /**
     * 设置 [部门名称]
     */
    @JsonProperty("orgdeptname")
    public void setOrgDeptName(String  orgDeptName){
        this.orgDeptName = orgDeptName ;
        this.orgDeptNameDirtyFlag = true ;
    }

    /**
     * 获取 [部门名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptNameDirtyFlag(){
        return this.orgDeptNameDirtyFlag ;
    }

    /**
     * 获取 [业务流程版本名称]
     */
    @JsonProperty("pswfversionname")
    public String getPSWFVersionName(){
        return this.pSWFVersionName ;
    }

    /**
     * 设置 [业务流程版本名称]
     */
    @JsonProperty("pswfversionname")
    public void setPSWFVersionName(String  pSWFVersionName){
        this.pSWFVersionName = pSWFVersionName ;
        this.pSWFVersionNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务流程版本名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionNameDirtyFlag(){
        return this.pSWFVersionNameDirtyFlag ;
    }

    /**
     * 获取 [业务工作流名称]
     */
    @JsonProperty("pswfworkflowname")
    public String getPSWFWorkflowName(){
        return this.pSWFWorkflowName ;
    }

    /**
     * 设置 [业务工作流名称]
     */
    @JsonProperty("pswfworkflowname")
    public void setPSWFWorkflowName(String  pSWFWorkflowName){
        this.pSWFWorkflowName = pSWFWorkflowName ;
        this.pSWFWorkflowNameDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFWorkflowNameDirtyFlag(){
        return this.pSWFWorkflowNameDirtyFlag ;
    }

    /**
     * 获取 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public String getOrgDeptId(){
        return this.orgDeptId ;
    }

    /**
     * 设置 [部门标识]
     */
    @JsonProperty("orgdeptid")
    public void setOrgDeptId(String  orgDeptId){
        this.orgDeptId = orgDeptId ;
        this.orgDeptIdDirtyFlag = true ;
    }

    /**
     * 获取 [部门标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgDeptIdDirtyFlag(){
        return this.orgDeptIdDirtyFlag ;
    }

    /**
     * 获取 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public String getPSWorkflowId(){
        return this.pSWorkflowId ;
    }

    /**
     * 设置 [业务工作流标识]
     */
    @JsonProperty("psworkflowid")
    public void setPSWorkflowId(String  pSWorkflowId){
        this.pSWorkflowId = pSWorkflowId ;
        this.pSWorkflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWorkflowIdDirtyFlag(){
        return this.pSWorkflowIdDirtyFlag ;
    }

    /**
     * 获取 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public String getPSWFVersionId(){
        return this.pSWFVersionId ;
    }

    /**
     * 设置 [业务流程版本标识]
     */
    @JsonProperty("pswfversionid")
    public void setPSWFVersionId(String  pSWFVersionId){
        this.pSWFVersionId = pSWFVersionId ;
        this.pSWFVersionIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionIdDirtyFlag(){
        return this.pSWFVersionIdDirtyFlag ;
    }



}
