package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain.PSWFRoleDetail;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.filter.*;


public interface PSWFRoleDetailFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroledetails/{pswfroledetail_id}/save")
    public PSWFRoleDetail save(@PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfroledetails/{pswfroledetail_id}")
    public PSWFRoleDetail update(@PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfroledetails/{pswfroledetail_id}")
    public PSWFRoleDetail get(@PathVariable("pswfroledetail_id") String pswfroledetail_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroledetails/checkkey")
    public Boolean checkKey(@RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroledetails")
    public PSWFRoleDetail create(@RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfroledetails/{pswfroledetail_id}/getdraft")
    public PSWFRoleDetail getDraft(@PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfroledetails/{pswfroledetail_id}")
    public Boolean remove(@PathVariable("pswfroledetail_id") String pswfroledetail_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfroledetails/fetchdefault")
	public Page<PSWFRoleDetail> fetchDefault(PSWFRoleDetailSearchContext searchContext) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}/save")
    public PSWFRoleDetail saveByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    public PSWFRoleDetail updateByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    public PSWFRoleDetail getByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/checkkey")
    public Boolean checkKeyByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails")
    public PSWFRoleDetail createByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}/getdraft")
    public PSWFRoleDetail getDraftByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id, @RequestBody PSWFRoleDetail pswfroledetail) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/{pswfroledetail_id}")
    public Boolean removeByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id, @PathVariable("pswfroledetail_id") String pswfroledetail_id) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfroles/{pswfrole_id}/pswfroledetails/fetchdefault")
	public Page<PSWFRoleDetail> fetchDefaultByPSWFRole(@PathVariable("pswfrole_id") String pswfrole_id , PSWFRoleDetailSearchContext searchContext) ;
}
