package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain.PSWFRole;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.filter.*;


public interface PSWFRoleFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroles/checkkey")
    public Boolean checkKey(@RequestBody PSWFRole pswfrole) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfroles/{pswfrole_id}")
    public PSWFRole update(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfroles/{pswfrole_id}")
    public PSWFRole get(@PathVariable("pswfrole_id") String pswfrole_id) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfroles/{pswfrole_id}/getdraft")
    public PSWFRole getDraft(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfroles/{pswfrole_id}")
    public Boolean remove(@PathVariable("pswfrole_id") String pswfrole_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroles")
    public PSWFRole create(@RequestBody PSWFRole pswfrole) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfroles/{pswfrole_id}/save")
    public PSWFRole save(@PathVariable("pswfrole_id") String pswfrole_id, @RequestBody PSWFRole pswfrole) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfroles/fetchcurorg")
	public Page<PSWFRole> fetchCurOrg(PSWFRoleSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfroles/fetchcurorgdept")
	public Page<PSWFRole> fetchCurOrgDept(PSWFRoleSearchContext searchContext) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfroles/fetchdefault")
	public Page<PSWFRole> fetchDefault(PSWFRoleSearchContext searchContext) ;
}
