package cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.feign;

import java.util.List;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.cloud.openfeign.FeignClient;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.domain.PSWFVersion;
import cn.ibizlab.r7.runtime.wf.wfadmin.r7rt_wf.filter.*;


public interface PSWFVersionFeignClient {



	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfversions/checkkey")
    public Boolean checkKey(@RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfversions/{pswfversion_id}/getdraft")
    public PSWFVersion getDraft(@PathVariable("pswfversion_id") String pswfversion_id, @RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/pswfversions/{pswfversion_id}")
    public PSWFVersion update(@PathVariable("pswfversion_id") String pswfversion_id, @RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/pswfversions/{pswfversion_id}")
    public PSWFVersion get(@PathVariable("pswfversion_id") String pswfversion_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfversions")
    public PSWFVersion create(@RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/pswfversions/{pswfversion_id}")
    public Boolean remove(@PathVariable("pswfversion_id") String pswfversion_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/pswfversions/{pswfversion_id}/save")
    public PSWFVersion save(@PathVariable("pswfversion_id") String pswfversion_id, @RequestBody PSWFVersion pswfversion) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/pswfversions/fetchdefault")
	public Page<PSWFVersion> fetchDefault(PSWFVersionSearchContext searchContext) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions/checkkey")
    public Boolean checkKeyByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions/{pswfversion_id}/getdraft")
    public PSWFVersion getDraftByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("pswfversion_id") String pswfversion_id, @RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.PUT, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions/{pswfversion_id}")
    public PSWFVersion updateByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("pswfversion_id") String pswfversion_id, @RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.GET, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions/{pswfversion_id}")
    public PSWFVersion getByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("pswfversion_id") String pswfversion_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions")
    public PSWFVersion createByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @RequestBody PSWFVersion pswfversion) ;

	@RequestMapping(method = RequestMethod.DELETE, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions/{pswfversion_id}")
    public Boolean removeByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("pswfversion_id") String pswfversion_id) ;

	@RequestMapping(method = RequestMethod.POST, value = "/wfapi/psworkflows/{psworkflow_id}/pswfversions/{pswfversion_id}/save")
    public PSWFVersion saveByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id, @PathVariable("pswfversion_id") String pswfversion_id, @RequestBody PSWFVersion pswfversion) ;

    @RequestMapping(method= RequestMethod.GET , value="/wfapi/psworkflows/{psworkflow_id}/pswfversions/fetchdefault")
	public Page<PSWFVersion> fetchDefaultByPSWorkflow(@PathVariable("psworkflow_id") String psworkflow_id , PSWFVersionSearchContext searchContext) ;
}
